/*
navicat mysql data transfer

source server         : jinmingyuan
source server version : 50738
source host           : 116.198.40.76:3306
source database       : train_bf

target server type    : mysql
target server version : 50738
file encoding         : 65001

date: 2023-10-09 20:07:31
*/

-- set foreign_

-- ----------------------------
-- table structure for auto
-- ----------------------------
drop table if exists "auto";
create table "auto" (
  "id" int4 not null,
  "name" varchar(255) 
  
);

-- ----------------------------
-- table structure for datav_center
-- ----------------------------
drop table if exists "datav_center";
create table "datav_center" (
  "id" int8 ,
  "concentrate_train_time" int4 ,
  "online_train_time" int4 ,
  "stu_num" int4 ,
  "trainer_num" int4 ,
  "video_num" int4 ,
  "online_course_num" int4 
);

-- ----------------------------
-- table structure for datav_class
-- ----------------------------
drop table if exists "datav_class";
create table "datav_class" (
  "id" int8 not null ,
  "type" int2 ,
  "code" varchar(20) ,
  "name" varchar(30) ,
  "org_id" int8 ,
  "org_code" varchar(20) ,
  "org_use_code" varchar(20) ,
  "org_name" varchar(20) ,
  "dept_id" int8 ,
  "dept_code" varchar(20) ,
  "dept_name" varchar(20) ,
  "major_id" int8 ,
  "major_code" varchar(20) ,
  "major_name" varchar(30) ,
  "train_start_time" timestamp(6) ,
  "train_end_time" timestamp(6) ,
  "contact_person" varchar(10) ,
  "contact_tel" varchar(20) ,
  "num" int4 ,
  "sign_num" int4 
  
);

-- ----------------------------
-- table structure for datav_class_count
-- ----------------------------
drop table if exists "datav_class_count";
create table "datav_class_count" (
  "id" int8 ,
  "all_time" int4 ,
  "all_student" int4 ,
  "all_teacher" int4 ,
  "all_supp" int4 ,
  "all_exam" int4 ,
  "all_apprise" int4 ,
  "all_ask" int4 ,
  "all_sign" int4 
);

-- ----------------------------
-- table structure for datav_class_type
-- ----------------------------
drop table if exists "datav_class_type";
create table "datav_class_type" (
  "id" int8 not null  ,
  "type" varchar(128) ,
  "class_num" int4 ,
  "stu_num" int4 
  
);

-- ----------------------------
-- table structure for datav_cur_year
-- ----------------------------
drop table if exists "datav_cur_year";
create table "datav_cur_year" (
  "id" int8 not null ,
  "months" varchar(255) ,
  "num" int4 ,
  "type" int4 ,
  "month" int4 
  
);

-- ----------------------------
-- table structure for datav_online_type
-- ----------------------------
drop table if exists "datav_online_type";
create table "datav_online_type" (
  "id" int8 not null  ,
  "type" varchar(128) ,
  "class_num" int4 ,
  "stu_num" int4 
  
);

-- ----------------------------
-- table structure for datav_org
-- ----------------------------
drop table if exists "datav_org";
create table "datav_org" (
  "id" int8 not null ,
  "org" varchar(20) ,
  "num" int4 
  
);

-- ----------------------------
-- table structure for datav_setting
-- ----------------------------
drop table if exists "datav_setting";
create table "datav_setting" (
  "id" int8 not null ,
  "seat" int2 ,
  "prop" varchar(30) ,
  "val" varchar(200) 
  
);

-- ----------------------------
-- table structure for datav_teacher
-- ----------------------------
drop table if exists "datav_teacher";
create table "datav_teacher" (
  "id" int8 not null ,
  "all_num" int4 ,
  "in_num" int4 ,
  "out_num" int4 ,
  "tuan_num" int4 ,
  "gao_num" int4 ,
  "zhong_num" int4 ,
  "chu_num" int4 
  
);

-- ----------------------------
-- table structure for datav_video
-- ----------------------------
drop table if exists "datav_video";
create table "datav_video" (
  "id" int8 not null ,
  "times" int4 ,
  "type" varchar(128) ,
  "month" int4 
  
);

-- ----------------------------
-- table structure for mobile_payment_all
-- ----------------------------
drop table if exists "mobile_payment_all";
create table "mobile_payment_all" (
  "id" int8 not null,
  "trxid" varchar(32) ,
  "reqsn" varchar(32) ,
  "create_id" int8 ,
  "create_name" varchar(50) ,
  "create_time" timestamp(6) ,
  "mobile_payment" decimal(11,2) ,
  "cashier_payment" decimal(11,0) 
  
);

-- ----------------------------
-- table structure for mobile_payment_settlement
-- ----------------------------
drop table if exists "mobile_payment_settlement";
create table "mobile_payment_settlement" (
  "id" int8 not null,
  "train_id" int8 ,
  "train_name" varchar(50) ,
  "mobile_payment" decimal(11,2) ,
  "cashier_payment" decimal(11,0) ,
  "create_id" int8 ,
  "create_name" varchar(50) ,
  "create_time" timestamp(6) ,
  "all_id" int8 
  
);

-- ----------------------------
-- table structure for order_flow_info
-- ----------------------------
drop table if exists "order_flow_info";
create table "order_flow_info" (
  "id" int8 not null,
  "order_code" varchar(32) ,
  "flow_code" varchar(32) ,
  "train_id" int8 ,
  "train_name" varchar(500) ,
  "pay_type" int4 ,
  "pay_amount" decimal(11,2) ,
  "deposit" decimal(11,2) ,
  "mobile_phone" varchar(32) ,
  "id_card" varchar(32) ,
  "org_id" int8 ,
  "org_name" varchar(32) ,
  "dept_id" int8 ,
  "dept_name" varchar(32) ,
  "pay_way" int4 ,
  "pay_time" timestamp(6) ,
  "pay_state" int4 ,
  "remark" varchar(255) ,
  "pay_user_id" int8 ,
  "pay_user_name" varchar(20) ,
  "create_id" int8 ,
  "create_name" varchar(32) ,
  "withdraw" int4 default '0',
  "old_order" varchar(32) 
  
);

-- ----------------------------
-- table structure for pay_operate_log
-- ----------------------------
drop table if exists "pay_operate_log";
create table "pay_operate_log" (
  "id" int8 not null ,
  "classname" varchar(1024) ,
  "methods" varchar(255) ,
  "params" text ,
  "result_info" text ,
  "remark" varchar(255) ,
  "ip" varchar(20) ,
  "user_id" int8 ,
  "user_name" varchar(50) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for reconciliation_day
-- ----------------------------
drop table if exists "reconciliation_day";
create table "reconciliation_day" (
  "id" int8 not null,
  "day_time" timestamp(6) ,
  "num" int4 ,
  "money" int8 ,
  "state" int4 ,
  "error_num" int4 ,
  "note" varchar(255) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for reconciliation_day_dettails
-- ----------------------------
drop table if exists "reconciliation_day_dettails";
create table "reconciliation_day_dettails" (
  "id" int8 not null,
  "pid" int8 ,
  "day_time" timestamp(6) ,
  "order_no" varchar(50) ,
  "water_no" int8 ,
  "order_money" int8 ,
  "order_type" int4 ,
  "error_note" varchar(255) ,
  "state" int4 ,
  "note" varchar(255) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for sys_appraise
-- ----------------------------
drop table if exists "sys_appraise";
create table "sys_appraise" (
  "id" int8 not null ,
  "pid" int8 default '0' ,
  "lv" int2 default '1' ,
  "state" int2 ,
  "code" varchar(20) ,
  "name" varchar(50) default '' ,
  "seq" int2 default '-1' ,
  "type" int2 ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for sys_appraise_template
-- ----------------------------
drop table if exists "sys_appraise_template";
create table "sys_appraise_template" (
  "id" int8 not null,
  "template_id" int8 ,
  "appraise_id" int8 ,
  "seq" int2 
  
);

-- ----------------------------
-- table structure for sys_dict
-- ----------------------------
drop table if exists "sys_dict";
create table "sys_dict" (
  "id" int8 not null ,
  "pid" int8 default '0' ,
  "name" varchar(20) default '' ,
  "code" varchar(30) default '' ,
  "lv" int2 default '1' ,
  "is_default" int2 default '0' ,
  "seq" int2 default '-1' ,
  "state" int2 default '1' ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for sys_image
-- ----------------------------
drop table if exists "sys_image";
create table "sys_image" (
  "id" int8 ,
  "name" varchar(32) ,
  "url" json ,
  "state" int2 ,
  "is_system" int2 
);

-- ----------------------------
-- table structure for sys_login_log
-- ----------------------------
drop table if exists "sys_login_log";
create table "sys_login_log" (
  "id" int8 not null ,
  "user_id" int8 ,
  "user_name" varchar(10) ,
  "login_ip" varchar(32) ,
  "login_name" varchar(50) ,
  "login_type" int2 ,
  "login_time" timestamp(6) ,
  "brower" varchar(50) ,
  "os" varchar(100) ,
  "state" int2 ,
  "msg" varchar(255) ,
  "remark" varchar(200) 
  
);

-- ----------------------------
-- table structure for sys_major
-- ----------------------------
drop table if exists "sys_major";
create table "sys_major" (
  "id" int8 not null ,
  "lv" int2 ,
  "pid" int8 ,
  "name" varchar(30) ,
  "use_code" varchar(20) ,
  "code" varchar(20) ,
  "seq" int2 default '999' ,
  "state" int2 default '1' ,
  "remark" varchar(200) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for sys_menu
-- ----------------------------
drop table if exists "sys_menu";
create table "sys_menu" (
  "id" int8 not null ,
  "pid" int8 default '0' ,
  "name" varchar(20) ,
  "url" varchar(200) ,
  "type" int2 ,
  "lv" int2 ,
  "seq" int2 ,
  "icon" varchar(30) ,
  "remark" varchar(200) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for sys_news
-- ----------------------------
drop table if exists "sys_news";
create table "sys_news" (
  "id" int8 not null ,
  "title" varchar(200) ,
  "note" varchar(1024) ,
  "type" int2 ,
  "create_time" timestamp(6) ,
  "create_by" int8 ,
  "is_look" int2 ,
  "user_ids" varchar(1024) ,
  "push_time" timestamp(6) ,
  "link_id" int8 ,
  "end_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for sys_news_push_user
-- ----------------------------
drop table if exists "sys_news_push_user";
create table "sys_news_push_user" (
  "id" int8 not null ,
  "user_id" int8 ,
  "sys_news_id" int8 ,
  "is_look" int2 
  
);

-- ----------------------------
-- table structure for sys_oper_log
-- ----------------------------
drop table if exists "sys_oper_log";
create table "sys_oper_log" (
  "id" int8 not null ,
  "title" varchar(50) default '' ,
  "business_type" int2 default '0' ,
  "method" varchar(100) default '' ,
  "request_method" varchar(10) default '' ,
  "operator_type" int2 default '0' ,
  "oper_name" varchar(50) default '' ,
  "dept_name" varchar(50) default '' ,
  "oper_url" varchar(255) default '' ,
  "oper_ip" varchar(50) default '' ,
  "oper_location" varchar(255) default '' ,
  "oper_param" varchar(2000) default '' ,
  "json_result" varchar(2000) default '' ,
  "state" int2 default '0' ,
  "error_msg" varchar(2000) default '' ,
  "oper_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for sys_org
-- ----------------------------
drop table if exists "sys_org";
create table "sys_org" (
  "id" int8 not null ,
  "type" int2 ,
  "lv" int2 ,
  "pid" int8 default '0' ,
  "name" varchar(100) ,
  "code" varchar(20) ,
  "use_code" varchar(20) ,
  "seq" int2 default '999' ,
  "state" int2 default '1' ,
  "remark" varchar(200) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for sys_org_copy1
-- ----------------------------
drop table if exists "sys_org_copy1";
create table "sys_org_copy1" (
  "id" int8 not null ,
  "type" int2 ,
  "lv" int2 ,
  "pid" int8 default '0' ,
  "name" varchar(100) ,
  "code" varchar(20) ,
  "use_code" varchar(20) ,
  "seq" int2 default '999' ,
  "state" int2 default '1' ,
  "remark" varchar(200) ,
  "create_time" timestamp(6) 
 
);

-- ----------------------------
-- table structure for sys_quartz
-- ----------------------------
drop table if exists "sys_quartz";
create table "sys_quartz" (
  "id" int8 not null,
  "groups" varchar(40) ,
  "name" varchar(100) ,
  "state" int2 ,
  "cron" varchar(30) ,
  "remark" varchar(255) ,
  "type" int2 ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for sys_role
-- ----------------------------
drop table if exists "sys_role";
create table "sys_role" (
  "id" int8 not null ,
  "name" varchar(20) ,
  "lv" int2 ,
  "seq" int2 ,
  "state" int2 ,
  "is_default" int2 ,
  "remark" varchar(200) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for sys_role_menu
-- ----------------------------
drop table if exists "sys_role_menu";
create table "sys_role_menu" (
  "id" int8 not null ,
  "role_id" int8 ,
  "menu_id" int8 
  
);

-- ----------------------------
-- table structure for sys_template
-- ----------------------------
drop table if exists "sys_template";
create table "sys_template" (
  "id" int8 not null,
  "name" varchar(50) ,
  "create_time" timestamp(6) ,
  "create_by" int8
  
);

-- ----------------------------
-- table structure for sys_user
-- ----------------------------
drop table if exists "sys_user";
create table "sys_user" (
  "id" int8 not null ,
  "org_id" int8 ,
  "org_code" varchar(20) ,
  "org_use_code" varchar(20) ,
  "org_name" varchar(100) ,
  "dept_id" int8 ,
  "dept_code" varchar(20) ,
  "dept_name" varchar(20) ,
  "name" varchar(20) default '' ,
  "card_no" varchar(20) ,
  "code" varchar(20) default '' ,
  "mix_pd" varchar(50) default '' ,
  "mobile" varchar(20) default '' ,
  "lock_times" int2 default '0' ,
  "lock_time" timestamp(6) ,
  "remark" varchar(200) default '' ,
  "state" int2 default '1' ,
  "is_default" int2 ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for sys_user_role
-- ----------------------------
drop table if exists "sys_user_role";
create table "sys_user_role" (
  "id" int8 not null ,
  "user_id" int8 ,
  "role_id" int8 
  
);

-- ----------------------------
-- table structure for sys_video_config
-- ----------------------------
drop table if exists "sys_video_config";
create table "sys_video_config" (
  "id" int8 not null,
  "key1" varchar(255) ,
  "appid" varchar(200) ,
  "set_licence_url" varchar(1000) ,
  "create_time" timestamp(6) ,
  "update_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_ad
-- ----------------------------
drop table if exists "train_ad";
create table "train_ad" (
  "id" int8 not null ,
  "site" int4 ,
  "title" varchar(50) ,
  "image_url" json ,
  "jump" int2 ,
  "detail" text ,
  "seq" int2 ,
  "state" int2 ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_agreement
-- ----------------------------
drop table if exists "train_agreement";
create table "train_agreement" (
  "id" int8 not null ,
  "content" text 
  
);

-- ----------------------------
-- table structure for train_audit
-- ----------------------------
drop table if exists "train_audit";
create table "train_audit" (
  "id" int8 not null ,
  "link_type" int2 ,
  "link_id" int8 ,
  "state" int2 ,
  "content" varchar(255) ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_user_code" varchar(20) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_car_supplier
-- ----------------------------
drop table if exists "train_car_supplier";
create table "train_car_supplier" (
  "id" int8 not null ,
  "supplier_name" varchar(50) ,
  "contact_person" varchar(10) ,
  "contact_tel" varchar(30) ,
  "car_info" varchar(300) ,
  "state" int2 ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_org_code" varchar(20) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_class
-- ----------------------------
drop table if exists "train_class";
create table "train_class" (
  "id" int8 not null ,
  "plan_id" int8 ,
  "type" int2 ,
  "code" varchar(20) ,
  "name" varchar(30) ,
  "org_id" int8 ,
  "org_code" varchar(20) ,
  "org_use_code" varchar(20) ,
  "org_name" varchar(20) ,
  "dept_id" int8 ,
  "dept_code" varchar(20) ,
  "dept_name" varchar(20) ,
  "major_id" int8 ,
  "major_code" varchar(20) ,
  "major_name" varchar(30) ,
  "train_start_time" timestamp(6) ,
  "train_end_time" timestamp(6) ,
  "contact_person" varchar(10) ,
  "contact_tel" varchar(20) ,
  "site" varchar(150) ,
  "lat" varchar(20) ,
  "lng" varchar(20) ,
  "num" int4 ,
  "sign_up_type" int2 default '0' ,
  "secret_key" varchar(20),
  "user_path" json ,
  "head_teacher_id" int8 ,
  "head_teacher_name" varchar(30) ,
  "content" varchar(1024) ,
  "study_require" int2 ,
  "study_percentage" int4 default '0' ,
  "cover" json ,
  "description_type" int2 ,
  "appraise_time" timestamp(6) ,
  "description" json ,
  "description_text" text ,
  "state" int2 ,
  "audit_cause" varchar(255) ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) ,
  "notes" varchar(50) ,
  "floor" varchar(2000) ,
  "floor_name" varchar(20) 
  
);

-- ----------------------------
-- table structure for train_class_address
-- ----------------------------
drop table if exists "train_class_address";
create table "train_class_address" (
  "id" int8 not null ,
  "addr" varchar(255) ,
  "lat" varchar(20) ,
  "lng" varchar(20) ,
  "org_id" int8 ,
  "state" int2 default '0' ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_class_appendix
-- ----------------------------
drop table if exists "train_class_appendix";
create table "train_class_appendix" (
  "id" int8 not null ,
  "class_id" int8 ,
  "images" json ,
  "video" json ,
  "appendix" json ,
  "remark" varchar(200) 
  
);

-- ----------------------------
-- table structure for train_class_appraise
-- ----------------------------
drop table if exists "train_class_appraise";
create table "train_class_appraise" (
  "id" int8 not null ,
  "class_id" int8 ,
  "site" int2 ,
  "name" varchar(50) default '' ,
  "seq" int2 default '-1' ,
  "type" int2 
  
);

-- ----------------------------
-- table structure for train_class_appraise_list
-- ----------------------------
drop table if exists "train_class_appraise_list";
create table "train_class_appraise_list" (
  "id" int8 ,
  "created_by" int8 ,
  "created_time" timestamp(6) ,
  "updated_by" int8 ,
  "updated_time" timestamp(6) ,
  "class_id" int8 ,
  "appraise_name" varchar(30) ,
  "appraise_start_time" timestamp(6) ,
  "appraise_end_time" timestamp(6) ,
  "appraise_state" varchar(1) ,
  "train_class_appraise_id" int8 ,
  "notice_time" int4 ,
  "allowable_times" int4 
);

-- ----------------------------
-- table structure for train_class_appraise_list_child
-- ----------------------------
drop table if exists "train_class_appraise_list_child";
create table "train_class_appraise_list_child" (
  "id" int8 ,
  "created_by" int8 ,
  "created_time" timestamp(6) ,
  "updated_by" int8 ,
  "updated_time" timestamp(6) ,
  "train_class_appraise_list_id" varchar(32) ,
  "train_class_appraise_id" varchar(32) 
);

-- ----------------------------
-- table structure for train_class_appraise_option
-- ----------------------------
drop table if exists "train_class_appraise_option";
create table "train_class_appraise_option" (
  "id" int8 not null ,
  "appraise_id" int8 ,
  "name" varchar(50) default '' ,
  "seq" int2 default '-1' 
  
);

-- ----------------------------
-- table structure for train_class_appraise_teacher
-- ----------------------------
drop table if exists "train_class_appraise_teacher";
create table "train_class_appraise_teacher" (
  "id" int8 ,
  "created_by" int8 ,
  "created_time" timestamp(6) ,
  "updated_by" int8 ,
  "updated_time" timestamp(6) ,
  "train_class_appraise_list_id" int8 ,
  "teacher_id" int8 
);

-- ----------------------------
-- table structure for train_class_car_supplier
-- ----------------------------
drop table if exists "train_class_car_supplier";
create table "train_class_car_supplier" (
  "id" int8 not null ,
  "class_id" int8 ,
  "car_supplier_id" int8 ,
  "use_num" int4 ,
  "car_type" varchar(30) ,
  "car_fee" int8 ,
  "car_total_num" int4 ,
  "car_total_fee" int8 ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_time" timestamp(6) 
  
  
  
);

-- ----------------------------
-- table structure for train_class_chapter
-- ----------------------------
drop table if exists "train_class_chapter";
create table "train_class_chapter" (
  "id" int8 not null ,
  "class_id" int8 ,
  "name" varchar(30) ,
  "describes" varchar(1024) ,
  "video_len" int4 ,
  "seq" int2 ,
  "course_id" int8 
  
);

-- ----------------------------
-- table structure for train_class_chapter_video_courseware
-- ----------------------------
drop table if exists "train_class_chapter_video_courseware";
create table "train_class_chapter_video_courseware" (
  "id" int8 not null ,
  "chapter_id" int8 ,
  "video_courseware_id" int8 ,
  "video_courseware_name" varchar(255) ,
  "seq" int2 ,
  "course_id" int8 
  
);

-- ----------------------------
-- table structure for train_class_chat
-- ----------------------------
drop table if exists "train_class_chat";
create table "train_class_chat" (
  "id" int8 not null ,
  "class_id" int8 ,
  "pid" int8 ,
  "lv" int2 ,
  "content" varchar(200) ,
  "reply_id" int8 ,
  "reply_user_id" int8 ,
  "reply_user_name" varchar(20) ,
  "type" int2 ,
  "create_user_id" int8 ,
  "create_trainer_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_class_chat_view
-- ----------------------------
drop table if exists "train_class_chat_view";
create table "train_class_chat_view" (
  "id" int8 not null ,
  "class_id" int8 ,
  "user_id" int8 ,
  "view_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_class_dine
-- ----------------------------
drop table if exists "train_class_dine";
create table "train_class_dine" (
  "id" int8 not null ,
  "class_id" int8 ,
  "class_name" varchar(30) ,
  "type" int2 ,
  "dine_start_time" timestamp(6) ,
  "dine_end_time" timestamp(6) ,
  "meal_fee" int8 ,
  "total_num" int4 ,
  "total_fee" int8 ,
  "create_time" timestamp(6) 
  
  
);

-- ----------------------------
-- table structure for train_class_dine_face_log
-- ----------------------------
drop table if exists "train_class_dine_face_log";
create table "train_class_dine_face_log" (
  "id" int8 ,
  "deviceuuid" varchar(1024) ,
  "devicename" varchar(1024) ,
  "personuuid" varchar(1024) ,
  "personname" varchar(1024) ,
  "personimageurl" varchar(3072) ,
  "snapshoturi" varchar(3072) ,
  "passtimestamp" int8 ,
  "recognitiontype" varchar(32) ,
  "created_time" timestamp(6) 
);

-- ----------------------------
-- table structure for train_class_dine_record
-- ----------------------------
drop table if exists "train_class_dine_record";
create table "train_class_dine_record" (
  "id" int8 not null ,
  "dine_id" int8 ,
  "user_id" int8 ,
  "user_name" varchar(30) ,
  "dine_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_class_dine_setting
-- ----------------------------
drop table if exists "train_class_dine_setting";
create table "train_class_dine_setting" (
  "id" int8 not null ,
  "class_id" int8 ,
  "type" int2 ,
  "start_time" time ,
  "end_time" time 
  
);

-- ----------------------------
-- table structure for train_class_exam
-- ----------------------------
drop table if exists "train_class_exam";
create table "train_class_exam" (
  "id" int8 not null ,
  "class_id" int8 ,
  "test_paper_id" int8 ,
  "test_paper_name" varchar(30) ,
  "test_require" int2 ,
  "test_type" int2 ,
  "test_time_len" int4 ,
  "test_start_time" timestamp(6) ,
  "test_end_time" timestamp(6) ,
  "app_notice" int2 ,
  "exam_times" int4 ,
  "notice_time" int4 ,
  "option_disorder" int2 ,
  "topic_disorder" int2 ,
  "type_reorder" varchar(50) ,
  "random" int2  default '0' ,
  "answer" int2  
  
);

-- ----------------------------
-- table structure for train_class_exam_extend
-- ----------------------------
drop table if exists "train_class_exam_extend";
create table "train_class_exam_extend" (
  "id" int8 not null ,
  "exam_id" int8 ,
  "test_paper_id" int8 ,
  "checkbox_num" int4 default '0' ,
  "checkbox_score" int4 default '0' ,
  "radio_num" int4 default '0' ,
  "radio_score" int4 default '0' ,
  "true_false_num" int4 default '0' ,
  "true_false_score" int4 default '0' ,
  "fill_bank_num" int4 default '0' ,
  "fill_bank_score" int4 default '0' ,
  "total_score" int4 default '0' ,
  "pass_score" int4 default '0' ,
  "state" int2 ,
  "checkbox_order" int4 default '0' ,
  "radio_order" int4 default '0' ,
  "true_false_order" int4 default '0' ,
  "fill_bank_order" int4 default '0' 
  
);

-- ----------------------------
-- table structure for train_class_exam_random
-- ----------------------------
drop table if exists "train_class_exam_random";
create table "train_class_exam_random" (
  "id" int8 not null ,
  "question_id" int8 ,
  "exam_user_id" int8 ,
  "test_paper_id" int8 ,
  "major_id" int8 ,
  "major_code" varchar(20) ,
  "major_name" varchar(30) ,
  "type" int2 ,
  "content" varchar(200) ,
  "answer" varchar(200) ,
  "analysis" varchar(200) ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) ,
  "sort" int4 
  
);

-- ----------------------------
-- table structure for train_class_extend
-- ----------------------------
drop table if exists "train_class_extend";
create table "train_class_extend" (
  "id" int8 ,
  "class_id" int8 ,
  "class_type" int2 ,
  "site_type" int2 ,
  "site" varchar(128) ,
  "site_lat" varchar(128) ,
  "site_lng" varchar(128) ,
  "lod_type" int2 ,
  "lod" varchar(128) ,
  "lod_lat" varchar(128) ,
  "lod_lng" varchar(128) ,
  "prop_time" timestamp(6) ,
  "cost" int8 ,
  "three_leader" int2 ,
  "four_leader" int2 ,
  "cover_image" varchar(255) ,
  "cover_text" varchar(128) ,
  "produce_type" int2 ,
  "produce_text" text ,
  "cover_back" json ,
  "cover_url" varchar(255) ,
  "created_by" int8 ,
  "created_time" timestamp(6) ,
  "updated_by" int8 ,
  "target" varchar(255) ,
  "updated_time" timestamp(6) ,
  "cover_id" int8 ,
  "live" text ,
  "face_state" int2 
  
);

-- ----------------------------
-- table structure for train_class_fee
-- ----------------------------
drop table if exists "train_class_fee";
create table "train_class_fee" (
  "id" int8 not null ,
  "class_id" int8 ,
  "meal_type" int2 ,
  "fee_type" int2 ,
  "hotel_type" json ,
  "breakfast_fee" int8 ,
  "lunch_fee" int8 ,
  "dinner_fee" int8 ,
  "meal_fee" int8 ,
  "hotel_fee" int8 ,
  "school_fee" int8 ,
  "teacher_fee" int8 ,
  "train_fee" int8 ,
  "traffic_fee" int8 ,
  "souvenir_fee" int8 ,
  "education_fee" int8 ,
  "training_fee" int8 ,
  "deposit" int8 ,
  "inner_training_fee" int8 ,
  "site_fee" int8 ,
  "tax_fee" int8 ,
  "datum_fee" int8 ,
  "budget" int8 ,
  "settlement_type" int2 ,
  "settlement_org_id" int8 ,
  "settlement_org_code" varchar(20) ,
  "settlement_org_use_code" varchar(20) ,
  "settlement_org_name" varchar(30) 
  
);

-- ----------------------------
-- table structure for train_class_fixed_assets
-- ----------------------------
drop table if exists "train_class_fixed_assets";
create table "train_class_fixed_assets" (
  "id" int8 not null ,
  "class_id" int8 ,
  "fixed_assets_id" int8 ,
  "num" int4 
  
);

-- ----------------------------
-- table structure for train_class_invoice
-- ----------------------------
drop table if exists "train_class_invoice";
create table "train_class_invoice" (
  "id" int8 not null ,
  "code" varchar(20) ,
  "class_id" int8 ,
  "class_name" varchar(30) ,
  "type" int2 ,
  "company_name" varchar(100) ,
  "discern_no" varchar(50) ,
  "amount" int8 ,
  "bill_to_party" varchar(100) ,
  "register_address" varchar(200) ,
  "register_tel" varchar(20) ,
  "bank" varchar(50) ,
  "bank_account" varchar(30) ,
  "real_amount" int8 ,
  "invoice_appendix" json ,
  "bill_time" timestamp(6) ,
  "state" int2 ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_class_look_into
-- ----------------------------
drop table if exists "train_class_look_into";
create table "train_class_look_into" (
  "id" int8 not null ,
  "name" varchar(50) ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) ,
  "describes" varchar(200) ,
  "qr_code" json ,
  "start_time" timestamp(6) ,
  "end_time" timestamp(6) ,
  "state" int2 ,
  "advance" int2 ,
  "advance_time" int4 ,
  "class_id" int8 
  
);

-- ----------------------------
-- table structure for train_class_look_into_answer
-- ----------------------------
drop table if exists "train_class_look_into_answer";
create table "train_class_look_into_answer" (
  "id" int8 not null ,
  "user_id" int8 ,
  "questionnaire_id" int8 ,
  "questionnaire_bank_id" int8 ,
  "questionnaire_option_id" int8 ,
  "content" varchar(1000) 
  
);

-- ----------------------------
-- table structure for train_class_look_into_user
-- ----------------------------
drop table if exists "train_class_look_into_user";
create table "train_class_look_into_user" (
  "id" int8 not null ,
  "user_id" int8 ,
  "questionnaire_id" int8 ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_class_material
-- ----------------------------
drop table if exists "train_class_material";
create table "train_class_material" (
  "id" int8 ,
  "name" varchar(100) ,
  "url" json ,
  "state" int2 ,
  "del_flag" int2 ,
  "source" int2 ,
  "created_by" int8 ,
  "created_name" varchar(100) ,
  "created_time" timestamp(6) ,
  "updated_by" int8 ,
  "updated_time" timestamp(6) ,
  "train_class_id" int8 ,
  "material_id" int8 
);

-- ----------------------------
-- table structure for train_class_notice
-- ----------------------------
drop table if exists "train_class_notice";
create table "train_class_notice" (
  "id" int8 not null ,
  "class_id" int8 ,
  "content" varchar(300) ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_class_notice_view
-- ----------------------------
drop table if exists "train_class_notice_view";
create table "train_class_notice_view" (
  "id" int8 not null ,
  "class_id" int8 ,
  "user_id" int8 ,
  "view_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_class_schedule
-- ----------------------------
drop table if exists "train_class_schedule";
create table "train_class_schedule" (
  "id" int8 not null ,
  "class_id" int8 ,
  "type" varchar(20) ,
  "class_name" varchar(200) ,
  "trainer_id" int8 ,
  "trainer_name" varchar(20) ,
  "space_id" int8 ,
  "use_date" date ,
  "use_start_time" timestamp(6) ,
  "use_end_time" timestamp(6) ,
  "space_name" varchar(200) ,
  "space_name_out" varchar(200) ,
  "space_type" int4 ,
  "type_id" varchar(200) ,
  "teacher_type" int4 ,
  "trainer_name_out" varchar(200) ,
  "suplier_id" int8 ,
  "suplier_name" varchar(200) 
  
);

-- ----------------------------
-- table structure for train_class_settlement
-- ----------------------------
drop table if exists "train_class_settlement";
create table "train_class_settlement" (
  "id" int8 not null ,
  "class_type" int8 ,
  "class_id" int8 ,
  "name" varchar(20) ,
  "money" int8 ,
  "type" int2 ,
  "target" varchar(20) ,
  "remark" varchar(200) ,
  "create_time" timestamp(6) ,
  "appendix" json 
  
);

-- ----------------------------
-- table structure for train_class_settlement_log
-- ----------------------------
drop table if exists "train_class_settlement_log";
create table "train_class_settlement_log" (
  "id" int8 not null ,
  "class_id" int8 ,
  "name" varchar(20) ,
  "money" int8 ,
  "type" int2 ,
  "target" varchar(20) ,
  "remark" varchar(200) ,
  "create_time" timestamp(6) ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) 
  
);

-- ----------------------------
-- table structure for train_class_sms_push
-- ----------------------------
drop table if exists "train_class_sms_push";
create table "train_class_sms_push" (
  "id" int8 not null ,
  "class_id" int8 ,
  "content" varchar(255) ,
  "by_creation_user_id" int8 ,
  "by_push_name" varchar(255) ,
  "creation_user_id" int8 ,
  "creation_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_class_supplier_evaluate
-- ----------------------------
drop table if exists "train_class_supplier_evaluate";
create table "train_class_supplier_evaluate" (
  "id" int8 not null ,
  "created_by" int8 ,
  "created_time" timestamp(6) ,
  "updated_by" int8 ,
  "updated_time" timestamp(6) ,
  "class_id" int8 ,
  "score" int4 ,
  "supplier_id" int8 
  
);

-- ----------------------------
-- table structure for train_class_supplier_evaluate_option
-- ----------------------------
drop table if exists "train_class_supplier_evaluate_option";
create table "train_class_supplier_evaluate_option" (
  "id" int8 not null ,
  "created_by" int8 ,
  "created_time" timestamp(6) ,
  "updated_by" int8 ,
  "updated_time" timestamp(6) ,
  "evaluate_id" int8 ,
  "option_id" int8 ,
  "score" int4 
  
);

-- ----------------------------
-- table structure for train_class_supplier_temp
-- ----------------------------
drop table if exists "train_class_supplier_temp";
create table "train_class_supplier_temp" (
  "id" int8 ,
  "train_trainer_id" int8 ,
  "schedual_id" int8 ,
  "created_by" int8 ,
  "created_time" timestamp(6) ,
  "updated_by" int8 ,
  "updated_time" timestamp(6) ,
  "suplier_id" int8 ,
  "suplier_name" varchar(32) ,
  "train_trainer_name" varchar(32) ,
  "schedual_name" varchar(32) ,
  "class_id" int8 
);

-- ----------------------------
-- table structure for train_class_teacher
-- ----------------------------
drop table if exists "train_class_teacher";
create table "train_class_teacher" (
  "id" int8 not null,
  "sys_user_id" int8 ,
  "train_user_id" int8 ,
  "user_type" int4 ,
  "is_del" int4 
  
);

-- ----------------------------
-- table structure for train_class_tool
-- ----------------------------
drop table if exists "train_class_tool";
create table "train_class_tool" (
  "id" int8 ,
  "train_class_id" int8 ,
  "tool_id" int8 
);

-- ----------------------------
-- table structure for train_class_trainer_appraise
-- ----------------------------
drop table if exists "train_class_trainer_appraise";
create table "train_class_trainer_appraise" (
  "id" int8 not null ,
  "class_id" int8 ,
  "trainer_id" int8 ,
  "trainer_name" varchar(20) ,
  "user_id" int8 ,
  "user_name" varchar(20) ,
  "appraise_id" int8 ,
  "name" varchar(50) default '' ,
  "score" int4 ,
  "train_class_appraise_list_id" varchar(20) ,
  "appraise_num" int4 ,
  "user_appraise_id" int8 
  
);

-- ----------------------------
-- table structure for train_class_trainer_appraise_option
-- ----------------------------
drop table if exists "train_class_trainer_appraise_option";
create table "train_class_trainer_appraise_option" (
  "id" int8 not null ,
  "trainer_appraise_id" int8 ,
  "appraise_option_id" int8 ,
  "name" varchar(50) default '' ,
  "score" int4 default '-1' ,
  "content" varchar(200) ,
  "teacher_id" int8 ,
  "parent_id" int8 
  
);

-- ----------------------------
-- table structure for train_class_training_appraise
-- ----------------------------
drop table if exists "train_class_training_appraise";
create table "train_class_training_appraise" (
  "id" int8 not null ,
  "class_id" int8 ,
  "user_id" int8 ,
  "user_name" varchar(20) ,
  "appraise_id" int8 ,
  "name" varchar(50) default '' ,
  "score" int4 ,
  "train_class_appraise_list_id" varchar(20) ,
  "appraise_num" int4 ,
  "user_appraise_id" int8 
  
);

-- ----------------------------
-- table structure for train_class_training_appraise_option
-- ----------------------------
drop table if exists "train_class_training_appraise_option";
create table "train_class_training_appraise_option" (
  "id" int8 not null ,
  "training_appraise_id" int8 ,
  "appraise_option_id" int8 ,
  "name" varchar(50) default '' ,
  "score" int4 default '-1' ,
  "content" varchar(200) ,
  "parent_id" int8 
  
);

-- ----------------------------
-- table structure for train_class_user
-- ----------------------------
drop table if exists "train_class_user";
create table "train_class_user" (
  "id" int8 not null ,
  "class_id" int8 ,
  "class_name" varchar(30) ,
  "org_id" int8 ,
  "org_code" varchar(20) ,
  "org_use_code" varchar(20) ,
  "org_name" varchar(20) ,
  "dept_id" int8 ,
  "dept_code" varchar(20) ,
  "dept_name" varchar(20) ,
  "user_id" int8 ,
  "user_name" varchar(20) ,
  "user_code" varchar(20) ,
  "mobile" varchar(20) ,
  "card_no" varchar(20) ,
  "email" varchar(100) ,
  "video_courseware_id" int8 ,
  "type" int2 ,
  "room_id" varchar(20) ,
  "card_num" varchar(20) ,
  "stay_days" int4 ,
  "check_in_time" timestamp(6) ,
  "check_in_address" varchar(50) ,
  "state" int2 ,
  "remark" varchar(255) ,
  "create_time" timestamp(6) ,
  "is_head_teacher" varchar(5) 
  
);

-- ----------------------------
-- table structure for train_class_user_appraise
-- ----------------------------
drop table if exists "train_class_user_appraise";
create table "train_class_user_appraise" (
  "id" int8 not null ,
  "user_id" int8 ,
  "user_name" varchar(20) ,
  "class_id" int8 ,
  "score" int4 ,
  "create_time" timestamp(6) ,
  "train_class_appraise_list_id" varchar(20) ,
  "org_id" varchar(20) ,
  "number_of_evaluations" int4 
  
);

-- ----------------------------
-- table structure for train_class_user_exam
-- ----------------------------
drop table if exists "train_class_user_exam";
create table "train_class_user_exam" (
  "id" int8 not null ,
  "class_id" int8 ,
  "class_exam_id" int8 ,
  "user_id" int8 ,
  "user_name" varchar(20) ,
  "test_paper_id" int8 ,
  "test_paper_name" varchar(30) ,
  "start_time" timestamp(6) ,
  "end_time" timestamp(6) ,
  "score" int4 ,
  "error_num" int4 ,
  "total_num" int4 ,
  "state" int2 ,
  "exam_times" int4 ,
  "create_time" timestamp(6) ,
  "make_up_num" int4 default '0' 
  
);

-- ----------------------------
-- table structure for train_class_user_exam_answer
-- ----------------------------
drop table if exists "train_class_user_exam_answer";
create table "train_class_user_exam_answer" (
  "id" int8 not null ,
  "user_exam_id" int8 ,
  "user_id" int8 ,
  "user_name" varchar(20) ,
  "test_paper_id" int8 ,
  "test_paper_name" varchar(30) ,
  "test_paper_question_id" int8 ,
  "content" varchar(200) ,
  "answer" varchar(200) ,
  "result" int2 
  
);

-- ----------------------------
-- table structure for train_class_user_invoice
-- ----------------------------
drop table if exists "train_class_user_invoice";
create table "train_class_user_invoice" (
  "id" int8 not null ,
  "code" varchar(20) ,
  "class_id" int8 ,
  "class_name" varchar(30) ,
  "user_id" int8 ,
  "user_name" varchar(30) ,
  "title_type" int2 ,
  "company_name" varchar(100) ,
  "discern_no" varchar(50) ,
  "amount" int8 ,
  "bill_to_party" varchar(100) ,
  "register_address" varchar(200) ,
  "register_tel" varchar(20) ,
  "bank" varchar(20) ,
  "bank_account" varchar(30) ,
  "type" int2 ,
  "invoice_type" int2 ,
  "email" varchar(20) ,
  "real_amount" int8 ,
  "invoice_appendix" json ,
  "invoice_time" timestamp(6) ,
  "state" int2 ,
  "create_time" timestamp(6) ,
  "remark" varchar(255) 
 
);

-- ----------------------------
-- table structure for train_commit
-- ----------------------------
drop table if exists "train_commit";
create table "train_commit" (
  "id" int8 not null ,
  "title" varchar(500) ,
  "video" json ,
  "video_len" int4 ,
  "min_len" int4 ,
  "content" text ,
  "cover" json ,
  "is_cover" varchar(255) ,
  "pop" json ,
  "is_pop" varchar(255) ,
  "pop_flag" int4 ,
  "start_time" timestamp(6) ,
  "end_time" timestamp(6) ,
  "state" int4 ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_commit_book
-- ----------------------------
drop table if exists "train_commit_book";
create table "train_commit_book" (
  "id" int8 not null ,
  "commit_id" int8 ,
  "title" varchar(500) ,
  "content" text ,
  "file" json ,
  "posts" varchar(255) ,
  "commit" varchar(500) 
  
);

-- ----------------------------
-- table structure for train_commit_info
-- ----------------------------
drop table if exists "train_commit_info";
create table "train_commit_info" (
  "id" int8 not null ,
  "commit_id" int8 ,
  "create_id" int8 ,
  "create_name" varchar(255) ,
  "org_id" int8 ,
  "dept_id" int8 ,
  "shu_id" int8 ,
  "video_end" varchar(255) ,
  "gang_id" int8 ,
  "org_ids" varchar(255) ,
  "org_name" varchar(20) ,
  "dept_name" varchar(20) ,
  "shu_name" varchar(255) ,
  "gang_name" varchar(255) 
  
);

-- ----------------------------
-- table structure for train_commit_info_copy1
-- ----------------------------
drop table if exists "train_commit_info_copy1";
create table "train_commit_info_copy1" (
  "id" int8 not null ,
  "commit_id" int8 ,
  "create_id" int8 ,
  "create_name" varchar(255) ,
  "org_id" int8 ,
  "dept_id" int8 ,
  "shu_id" int8 ,
  "video_end" varchar(255) ,
  "gang_id" int8 ,
  "org_ids" varchar(255) ,
  "org_name" varchar(20) ,
  "dept_name" varchar(20) ,
  "shu_name" varchar(255) ,
  "gang_name" varchar(255) 
  
);

-- ----------------------------
-- table structure for train_commit_org
-- ----------------------------
drop table if exists "train_commit_org";
create table "train_commit_org" (
  "id" int8 not null ,
  "type" int2 ,
  "lv" int2 ,
  "pid" int8 default '0' ,
  "name" varchar(100) ,
  "code" varchar(20) ,
  "use_code" varchar(20) ,
  "seq" int2 default '999' ,
  "state" int2 default '1' ,
  "remark" varchar(200) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_commit_record
-- ----------------------------
drop table if exists "train_commit_record";
create table "train_commit_record" (
  "id" int8 not null ,
  "commit_id" int8 ,
  "book_id" varchar(255) ,
  "book_title" varchar(255) ,
  "create_id" int8 ,
  "create_name" varchar(255) ,
  "org_id" int8 ,
  "org_code" varchar(20) ,
  "org_name" varchar(500) ,
  "dept_id" int8 ,
  "dept_code" varchar(20) ,
  "dept_name" varchar(500) ,
  "commit_title" varchar(255) ,
  "post_name" varchar(255) ,
  "com_content" varchar(255) ,
  "create_time" timestamp(6) ,
  "post_id" int8 ,
  "shu_id" int8 ,
  "shu_name" varchar(255) 
  
  
);

-- ----------------------------
-- table structure for train_commit_send
-- ----------------------------
drop table if exists "train_commit_send";
create table "train_commit_send" (
  "id" int8 not null ,
  "mobile" varchar(20) ,
  "user_id" int8 ,
  "state" int2 ,
  "commit_id" int8 ,
  "user_name" varchar(255) ,
  "create_time" timestamp(6) 
  
  
  
  
);

-- ----------------------------
-- table structure for train_commit_video
-- ----------------------------
drop table if exists "train_commit_video";
create table "train_commit_video" (
  "id" int8 not null ,
  "commit_id" int8 ,
  "org_id" int8 ,
  "org_code" varchar(20) ,
  "org_name" varchar(20) ,
  "dept_id" int8 ,
  "dept_code" varchar(20) ,
  "dept_name" varchar(20) ,
  "len" int8 ,
  "post_name" varchar(255) ,
  "shu_id" int8 ,
  "shu_name" varchar(255) ,
  "create_id" int8 ,
  "create_name" varchar(255) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_course
-- ----------------------------
drop table if exists "train_course";
create table "train_course" (
  "id" int8 not null ,
  "name" varchar(30) ,
  "major_id" int8 ,
  "major_name" varchar(30) ,
  "major_code" varchar(20) ,
  "study_scope" int2 ,
  "study_org_id" int8 ,
  "study_org_code" varchar(20) ,
  "study_org_use_code" varchar(20) ,
  "study_org_name" varchar(20) ,
  "study_require" int2 ,
  "study_percentage" int4 default '0' ,
  "outline" varchar(30) ,
  "cover" json ,
  "description_type" int2 ,
  "description" json ,
  "description_text" text ,
  "video_len" int4 ,
  "remark" varchar(200) ,
  "is_top" int2 ,
  "state" int2 ,
  "audit_cause" varchar(200) ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) ,
  "notes" varchar(50) 
  
);

-- ----------------------------
-- table structure for train_course_appraise
-- ----------------------------
drop table if exists "train_course_appraise";
create table "train_course_appraise" (
  "id" int8 not null ,
  "course_id" int8 ,
  "site" int2 ,
  "name" varchar(50) default '' ,
  "seq" int2 default '-1' ,
  "type" int2 
  
);

-- ----------------------------
-- table structure for train_course_appraise_option
-- ----------------------------
drop table if exists "train_course_appraise_option";
create table "train_course_appraise_option" (
  "id" int8 not null ,
  "appraise_id" int8 ,
  "name" varchar(50) default '' ,
  "seq" int2 default '-1' 
  
);

-- ----------------------------
-- table structure for train_course_like
-- ----------------------------
drop table if exists "train_course_like";
create table "train_course_like" (
  "id" int8 not null ,
  "user_id" int8 ,
  "course_id" int8 ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_course_recommend
-- ----------------------------
drop table if exists "train_course_recommend";
create table "train_course_recommend" (
  "id" int8 not null ,
  "course_id" int8 ,
  "weight" int4 
  
);

-- ----------------------------
-- table structure for train_course_scope
-- ----------------------------
drop table if exists "train_course_scope";
create table "train_course_scope" (
  "id" int8 not null ,
  "course_id" int8 ,
  "dept_id" int8 
  
);

-- ----------------------------
-- table structure for train_course_trainer_appraise
-- ----------------------------
drop table if exists "train_course_trainer_appraise";
create table "train_course_trainer_appraise" (
  "id" int8 not null ,
  "course_id" int8 ,
  "trainer_id" int8 ,
  "trainer_name" varchar(20) ,
  "user_id" int8 ,
  "user_name" varchar(20) ,
  "appraise_id" int8 ,
  "name" varchar(50) default '' ,
  "score" int4 
  
);

-- ----------------------------
-- table structure for train_course_trainer_appraise_option
-- ----------------------------
drop table if exists "train_course_trainer_appraise_option";
create table "train_course_trainer_appraise_option" (
  "id" int8 not null ,
  "trainer_appraise_id" int8 ,
  "appraise_option_id" int8 ,
  "name" varchar(50) default '' ,
  "score" int4 default '-1' ,
  "content" varchar(200) 
  
);

-- ----------------------------
-- table structure for train_course_training_appraise
-- ----------------------------
drop table if exists "train_course_training_appraise";
create table "train_course_training_appraise" (
  "id" int8 not null ,
  "course_id" int8 ,
  "user_id" int8 ,
  "user_name" varchar(20) ,
  "appraise_id" int8 ,
  "name" varchar(50) default '' ,
  "score" int4 
  
);

-- ----------------------------
-- table structure for train_course_training_appraise_option
-- ----------------------------
drop table if exists "train_course_training_appraise_option";
create table "train_course_training_appraise_option" (
  "id" int8 not null ,
  "training_appraise_id" int8 ,
  "appraise_option_id" int8 ,
  "name" varchar(50) default '' ,
  "score" int4 default '-1' ,
  "content" varchar(200) 
  
);

-- ----------------------------
-- table structure for train_course_user
-- ----------------------------
drop table if exists "train_course_user";
create table "train_course_user" (
  "id" int8 not null ,
  "course_id" int8 ,
  "user_id" int8 ,
  "video_courseware_id" int8 ,
  "state" int2 ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_course_user_appraise
-- ----------------------------
drop table if exists "train_course_user_appraise";
create table "train_course_user_appraise" (
  "id" int8 not null ,
  "user_id" int8 ,
  "user_name" varchar(20) ,
  "course_id" int8 ,
  "score" int4 ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_course_video_courseware
-- ----------------------------
drop table if exists "train_course_video_courseware";
create table "train_course_video_courseware" (
  "id" int8 not null ,
  "course_id" int8 ,
  "video_courseware_id" int8 ,
  "video_courseware_name" varchar(30) ,
  "seq" int2 
  
);

-- ----------------------------
-- table structure for train_dormitory_card_room
-- ----------------------------
drop table if exists "train_dormitory_card_room";
create table "train_dormitory_card_room" (
  "id" int8 ,
  "room_id" int8 ,
  "card_no" varchar(128) ,
  "dormitory_by_name" varchar(128) ,
  "dormitory_card_no" varchar(128) ,
  "state" int2 ,
  "created_by" int8 ,
  "created_time" timestamp(6) ,
  "updated_by" int8 ,
  "updated_time" timestamp(6) 
);

-- ----------------------------
-- table structure for train_dormitory_class
-- ----------------------------
drop table if exists "train_dormitory_class";
create table "train_dormitory_class" (
  "id" int8 not null ,
  "name" varchar(30)  ,
  "num" int4 ,
  "train_start_time" timestamp(6) ,
  "train_end_time" timestamp(6) ,
  "remark" varchar(255)  ,
  "state" int4 ,
  "is_hidden" int4 ,
  "create_time" timestamp(6) ,
  "is_sync" int4 
  
);

-- ----------------------------
-- table structure for train_dormitory_floor
-- ----------------------------
drop table if exists "train_dormitory_floor";
create table "train_dormitory_floor" (
  "id" int8 ,
  "area_id" int8 ,
  "floor_name" varchar(19) ,
  "state" int2 ,
  "del_flag" int2 ,
  "created_by" int8 ,
  "created_time" timestamp(6) ,
  "updated_by" int8 ,
  "updated_time" timestamp(6) 
);

-- ----------------------------
-- table structure for train_dormitory_floor_copy1
-- ----------------------------
drop table if exists "train_dormitory_floor_copy1";
create table "train_dormitory_floor_copy1" (
  "id" int8 ,
  "area_id" int8 ,
  "floor_name" varchar(19) ,
  "state" int2 ,
  "del_flag" int2 ,
  "created_by" int8 ,
  "created_time" timestamp(6) ,
  "updated_by" int8 ,
  "updated_time" timestamp(6) 
);

-- ----------------------------
-- table structure for train_dormitory_log
-- ----------------------------
drop table if exists "train_dormitory_log";
create table "train_dormitory_log" (
  "id" int8 not null ,
  "card_no" varchar(50) ,
  "class_id" int8 ,
  "code" varchar(20) ,
  "msg" text,
  "class_name" varchar(255) ,
  "create_time" timestamp(6) ,
  "req_param" text ,
  "resp_param" text ,
  "record_id" int8 
  
);

-- ----------------------------
-- table structure for train_dormitory_record
-- ----------------------------
drop table if exists "train_dormitory_record";
create table "train_dormitory_record" (
  "id" int8 ,
  "send_card_type" int2 ,
  "card_no" varchar(32) ,
  "area_id" int8 ,
  "area_name" varchar(32) ,
  "floor_id" int8 ,
  "floor_name" varchar(32) ,
  "room_id" int8 ,
  "room_name" varchar(32) ,
  "room_type_id" int8 ,
  "room_type_name" varchar(32) ,
  "dormitory_sex" int2 ,
  "dormitory_by_name" varchar(32) ,
  "dormitory_card_no" varchar(128) ,
  "class_id" int8 ,
  "class_name" varchar(32) ,
  "in_state" int2 ,
  "start_time" timestamp(6) ,
  "end_time" timestamp(6) ,
  "created_by" int8 ,
  "created_time" timestamp(6) ,
  "updated_by" int8 ,
  "updated_time" timestamp(6) ,
  "check_day" int4 ,
  "remark" varchar(255) ,
  "pay_state" int2 ,
  "pay_time" timestamp(6) ,
  "pay_id" int8 ,
  "student_uuid" varchar(50) ,
  "save_state" int2 
);

-- ----------------------------
-- table structure for train_dormitory_record_log
-- ----------------------------
drop table if exists "train_dormitory_record_log";
create table "train_dormitory_record_log" (
  "id" int8 not null ,
  "title" varchar(255) ,
  "user_id" int8 ,
  "user_name" varchar(255) ,
  "class_id" int8 ,
  "class_name" varchar(255) ,
  "face_uuid" varchar(200) ,
  "face_state" varchar(20) ,
  "room_uuid" varchar(200) ,
  "room_state" varchar(20) ,
  "person_uuid" varchar(200) ,
  "person_state" varchar(20) ,
  "author_uuid" varchar(200) ,
  "author_state" varchar(20) ,
  "now_state" varchar(30) not null ,
  "create_time" timestamp(6) ,
  "is_sign" int2 ,
  "sign_uuid" varchar(200) ,
  "sign_state" varchar(20) ,
  "msg" text,
  "card_no" varchar(50) ,
  "param" text 
  
);

-- ----------------------------
-- table structure for train_dormitory_room
-- ----------------------------
drop table if exists "train_dormitory_room";
create table "train_dormitory_room" (
  "id" int8 ,
  "floor_id" int8 ,
  "room_type_id" int8 ,
  "num" int4 ,
  "already_num" int4 ,
  "room_state" int2 ,
  "room_no" varchar(32) ,
  "state" int2 ,
  "sex" varchar(1) ,
  "del_flag" int2 ,
  "created_by" int8 ,
  "created_time" timestamp(6) ,
  "updated_by" int8 ,
  "updated_time" timestamp(6) ,
  "per_get" int2 ,
  "equipment" varchar(255) ,
  "is_meet" int2 
);

-- ----------------------------
-- table structure for train_dormitory_room_class
-- ----------------------------
drop table if exists "train_dormitory_room_class";
create table "train_dormitory_room_class" (
  "id" int8 not null ,
  "floor_id" int8 ,
  "room_id" int8 ,
  "room_type_id" int8 ,
  "num" int4 ,
  "already_num" int4 ,
  "room_state" int2 ,
  "room_no" varchar(32) ,
  "state" int2 ,
  "del_flag" int2 ,
  "created_by" int8 ,
  "created_time" timestamp(6) ,
  "updated_by" int8 ,
  "updated_time" timestamp(6) ,
  "class_id" int8 ,
  "class_name" varchar(32) 
  
);

-- ----------------------------
-- table structure for train_dormitory_room_type
-- ----------------------------
drop table if exists "train_dormitory_room_type";
create table "train_dormitory_room_type" (
  "id" int8 ,
  "room_type" varchar(30) ,
  "num" int4 ,
  "state" int2 ,
  "del_flag" int2 ,
  "created_by" int8 ,
  "created_time" timestamp(6) ,
  "updated_by" int8 ,
  "updated_time" timestamp(6) 
);

-- ----------------------------
-- table structure for train_dormitory_speical_card
-- ----------------------------
drop table if exists "train_dormitory_speical_card";
create table "train_dormitory_speical_card" (
  "id" int8 ,
  "card_type" int4 ,
  "area_id" int8 ,
  "floor_id" varchar(2000) ,
  "created_by" int8 ,
  "created_time" timestamp(6) ,
  "updated_by" int8 ,
  "updated_time" timestamp(6) ,
  "state" int4 ,
  "del_flag" int4 ,
  "floor_name" varchar(2000) ,
  "dormitory_card_no" varchar(30) ,
  "card_no" varchar(30) ,
  "uuid" varchar(50) ,
  "card_name" varchar(50) 
);

-- ----------------------------
-- table structure for train_dormitory_unlock_record
-- ----------------------------
drop table if exists "train_dormitory_unlock_record";
create table "train_dormitory_unlock_record" (
  "id" int8 ,
  "room_id" int8 ,
  "type" int2 ,
  "user_id" int8 ,
  "class_id" int8 ,
  "create_time" timestamp(6) 
);

-- ----------------------------
-- table structure for train_exercises
-- ----------------------------
drop table if exists "train_exercises";
create table "train_exercises" (
  "id" int8 not null ,
  "type" int2 ,
  "link_id" int8 ,
  "link_name" varchar(30) ,
  "test_paper_id" int8 ,
  "test_paper_name" varchar(30) ,
  "option_disorder" int2 ,
  "topic_disorder" int2 ,
  "type_reorder" varchar(50) 
  
);

-- ----------------------------
-- table structure for train_face_log
-- ----------------------------
drop table if exists "train_face_log";
create table "train_face_log" (
  "id" int8 ,
  "deviceuuid" varchar(1024) ,
  "devicename" varchar(1024) ,
  "personuuid" varchar(1024) ,
  "personname" varchar(1024) ,
  "personimageurl" varchar(3072) ,
  "snapshoturi" varchar(3072) ,
  "passtimestamp" int8 ,
  "recognitiontype" varchar(32) ,
  "created_time" timestamp(6) 
);

-- ----------------------------
-- table structure for train_face_sign_log
-- ----------------------------
drop table if exists "train_face_sign_log";
create table "train_face_sign_log" (
  "id" int8 ,
  "deviceuuid" varchar(1024) ,
  "devicename" varchar(1024) ,
  "personuuid" varchar(1024) ,
  "personname" varchar(1024) ,
  "personimageurl" varchar(3072) ,
  "snapshoturi" varchar(3072) ,
  "passtimestamp" int8 ,
  "recognitiontype" varchar(32) ,
  "created_time" timestamp(6) 
);

-- ----------------------------
-- table structure for train_feed_back
-- ----------------------------
drop table if exists "train_feed_back";
create table "train_feed_back" (
  "id" int8 not null ,
  "content" varchar(300) ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_fixed_assets
-- ----------------------------
drop table if exists "train_fixed_assets";
create table "train_fixed_assets" (
  "id" int8 not null ,
  "code" varchar(20) ,
  "name" varchar(20) ,
  "type" varchar(20) ,
  "model" varchar(20) ,
  "total_num" int4 ,
  "num" int4 ,
  "person_liable" varchar(20) ,
  "mobile" varchar(20) ,
  "annex" json ,
  "remark" varchar(200) default '' ,
  "state" int2 default '1' ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) ,
  "org_id" int8 ,
  "org_name" varchar(255) 
  
);

-- ----------------------------
-- table structure for train_goods
-- ----------------------------
drop table if exists "train_goods";
create table "train_goods" (
  "id" int8 not null ,
  "type" int2 ,
  "code" varchar(20) ,
  "name" varchar(100) ,
  "short_name" varchar(20) ,
  "points" int8 ,
  "stock" int4 ,
  "sales" int4 ,
  "main_img" json ,
  "images" json ,
  "describes" text ,
  "code_path" json ,
  "state" int2 ,
  "cause" varchar(255) ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_goods_activation_code
-- ----------------------------
drop table if exists "train_goods_activation_code";
create table "train_goods_activation_code" (
  "id" int8 not null ,
  "goods_id" int8 ,
  "code" varchar(20) ,
  "activation_code" varchar(20) ,
  "import_time" timestamp(6) ,
  "state" int2 ,
  "exchange_user_id" int8 ,
  "exchange_user_name" varchar(20) ,
  "exchange_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_goods_exchange_record
-- ----------------------------
drop table if exists "train_goods_exchange_record";
create table "train_goods_exchange_record" (
  "id" int8 not null ,
  "code" varchar(20) ,
  "goods_id" int8 ,
  "state" int2 ,
  "exchange_user_id" int8 ,
  "exchange_user_name" varchar(20) ,
  "exchange_time" timestamp(6) ,
  "receive_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_help
-- ----------------------------
drop table if exists "train_help";
create table "train_help" (
  "id" int8 not null ,
  "title" varchar(50) ,
  "content" text ,
  "state" int2 ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_local_room
-- ----------------------------
drop table if exists "train_local_room";
create table "train_local_room" (
  "id" int8 not null ,
  "name" varchar(50) ,
  "room_code" varchar(255) ,
  "room_id" varchar(255) ,
  "create_time" timestamp(6) ,
  "create_user_id" int8 ,
  "type" int4 ,
  "floor_id" int8 ,
  "floor_name" varchar(50) ,
  "num" int4 
  
);

-- ----------------------------
-- table structure for train_local_room_user
-- ----------------------------
drop table if exists "train_local_room_user";
create table "train_local_room_user" (
  "id" int8 not null ,
  "user_id" int8 ,
  "user_name" varchar(50) ,
  "room_id" int8 
  
);

-- ----------------------------
-- table structure for train_local_user
-- ----------------------------
drop table if exists "train_local_user";
create table "train_local_user" (
  "id" int8 not null ,
  "name" varchar(50) ,
  "card_no" varchar(20) ,
  "phone" varchar(11) ,
  "img" json ,
  "create_time" timestamp(6) ,
  "create_user_id" int8 ,
  "face_id" varchar(255) ,
  "uuid" varchar(255) 
  
);

-- ----------------------------
-- table structure for train_login_log
-- ----------------------------
drop table if exists "train_login_log";
create table "train_login_log" (
  "id" int8 not null ,
  "user_id" int8 ,
  "login_date" date ,
  "login_time" timestamp(6) ,
  "login_ip" varchar(32) 
  
);

-- ----------------------------
-- table structure for train_look_into_bank
-- ----------------------------
drop table if exists "train_look_into_bank";
create table "train_look_into_bank" (
  "id" int8 not null ,
  "type" int2 ,
  "content" varchar(200) 
  
);

-- ----------------------------
-- table structure for train_look_into_link
-- ----------------------------
drop table if exists "train_look_into_link";
create table "train_look_into_link" (
  "id" int8 not null ,
  "link_id" int8 ,
  "bank_id" int8 
  
);

-- ----------------------------
-- table structure for train_look_into_mould
-- ----------------------------
drop table if exists "train_look_into_mould";
create table "train_look_into_mould" (
  "id" int8 not null ,
  "name" varchar(50) ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) ,
  "describes" varchar(200) ,
  "qr_code" json 
  
);

-- ----------------------------
-- table structure for train_look_into_option
-- ----------------------------
drop table if exists "train_look_into_option";
create table "train_look_into_option" (
  "id" int8 not null ,
  "bank_id" int8 ,
  "content" varchar(2000) ,
  "seq" int2 ,
  "is_other" int2 
  
);

-- ----------------------------
-- table structure for train_manage_exam
-- ----------------------------
drop table if exists "train_manage_exam";
create table "train_manage_exam" (
  "id" int8 not null ,
  "exam_open" int2 ,
  "secret_key" varchar(255),
  "exam_name" varchar(30) ,
  "test_paper_id" int8 ,
  "exam_type" int2 ,
  "exam_time_len" int4 ,
  "exam_start_time" timestamp(6) ,
  "exam_end_time" timestamp(6) ,
  "exam_times" int4 ,
  "option_disorder" int2 ,
  "topic_disorder" int2 ,
  "type_reorder" varchar(50) ,
  "state" int2 ,
  "is_deleted" int2 ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) ,
  "random" int2  default '0' ,
  "answer" int2 
  
);

-- ----------------------------
-- table structure for train_manage_exam_extend
-- ----------------------------
drop table if exists "train_manage_exam_extend";
create table "train_manage_exam_extend" (
  "id" int8 not null ,
  "exam_id" int8 ,
  "test_paper_id" int8 ,
  "checkbox_num" int4 default '0' ,
  "checkbox_score" int4 default '0' ,
  "radio_num" int4 default '0' ,
  "radio_score" int4 default '0' ,
  "true_false_num" int4 default '0' ,
  "true_false_score" int4 default '0' ,
  "fill_bank_num" int4 default '0' ,
  "fill_bank_score" int4 default '0' ,
  "total_score" int4 default '0' ,
  "pass_score" int4 default '0' ,
  "state" int2 ,
  "checkbox_order" int4 default '0' ,
  "radio_order" int4 default '0' ,
  "true_false_order" int4 default '0' ,
  "fill_bank_order" int4 default '0' 
  
);

-- ----------------------------
-- table structure for train_manage_exam_random
-- ----------------------------
drop table if exists "train_manage_exam_random";
create table "train_manage_exam_random" (
  "id" int8 not null ,
  "question_id" int8 ,
  "exam_user_id" int8 ,
  "test_paper_id" int8 ,
  "major_id" int8 ,
  "major_code" varchar(20) ,
  "major_name" varchar(30) ,
  "type" int2 ,
  "content" varchar(200) ,
  "answer" varchar(200) ,
  "analysis" varchar(200) ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) ,
  "sort" int4 
  
);

-- ----------------------------
-- table structure for train_manage_exam_user
-- ----------------------------
drop table if exists "train_manage_exam_user";
create table "train_manage_exam_user" (
  "id" int8 not null ,
  "manage_exam_id" int8 ,
  "user_id" int8 ,
  "user_name" varchar(20) ,
  "test_paper_id" int8 ,
  "test_paper_name" varchar(30) ,
  "start_time" timestamp(6) ,
  "end_time" timestamp(6) ,
  "score" int4 ,
  "error_num" int4 ,
  "total_num" int4 ,
  "state" int2 ,
  "exam_times" int4 ,
  "create_time" timestamp(6) ,
  "make_up_num" int4 default '0' 
  
);

-- ----------------------------
-- table structure for train_manage_exam_user_answer
-- ----------------------------
drop table if exists "train_manage_exam_user_answer";
create table "train_manage_exam_user_answer" (
  "id" int8 not null ,
  "user_exam_id" int8 ,
  "user_id" int8 ,
  "user_name" varchar(20) ,
  "test_paper_id" int8 ,
  "test_paper_name" varchar(30) ,
  "test_paper_question_id" int8 ,
  "content" varchar(200) ,
  "answer" varchar(200) ,
  "result" int2 
  
);

-- ----------------------------
-- table structure for train_material
-- ----------------------------
drop table if exists "train_material";
create table "train_material" (
  "id" int8 ,
  "cate_id" int8 ,
  "material_name" varchar(100) ,
  "url" json ,
  "created_by" int8 ,
  "created_name" varchar(32) ,
  "created_time" timestamp(6) ,
  "updated_by" int8 ,
  "updated_time" timestamp(6) ,
  "del_falg" int2 ,
  "remark" varchar(255) ,
  "is_default" int4 
);

-- ----------------------------
-- table structure for train_notice
-- ----------------------------
drop table if exists "train_notice";
create table "train_notice" (
  "id" int8 not null ,
  "title" varchar(50) ,
  "digest" varchar(200) ,
  "content" text ,
  "user_id" int8 ,
  "state" int2 ,
  "is_top" int2 ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_online_assess
-- ----------------------------
drop table if exists "train_online_assess";
create table "train_online_assess" (
  "id" int8 not null,
  "online_id" int8 ,
  "assess_score" int8 ,
  "assess_id" int8 ,
  "assess_name" varchar(50) ,
  "create_time" timestamp(6) ,
  "remark" varchar(255) 
  
);

-- ----------------------------
-- table structure for train_online_assess_detail
-- ----------------------------
drop table if exists "train_online_assess_detail";
create table "train_online_assess_detail" (
  "id" int8 not null,
  "online_assess_id" int8 ,
  "assess_content_id" int8 ,
  "assess_content_name" varchar(255) ,
  "assess_content_score" int8 ,
  "assess_content_init_score" int8 ,
  "create_id" int8 ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_plan
-- ----------------------------
drop table if exists "train_plan";
create table "train_plan" (
  "id" int8 not null ,
  "year" int4 ,
  "code" varchar(20) ,
  "name" varchar(30) ,
  "org_id" int8 ,
  "org_code" varchar(20) ,
  "org_use_code" varchar(20) ,
  "org_name" varchar(20) ,
  "dept_id" int8 ,
  "dept_code" varchar(20) ,
  "dept_name" varchar(20) ,
  "major_id" int8 ,
  "major_code" varchar(20) ,
  "major_name" varchar(30) ,
  "contact_person" varchar(10) ,
  "contact_tel" varchar(20) ,
  "target" varchar(255) ,
  "three_lv_leader" int2 ,
  "four_lv_leader" int2 ,
  "train_start_time" timestamp(6) ,
  "train_end_time" timestamp(6) ,
  "type" int2 ,
  "train_day" int4 ,
  "class_hour" int4 ,
  "site" varchar(50) ,
  "lat" varchar(20) ,
  "lng" varchar(20) ,
  "num" int4 ,
  "content" varchar(1024) ,
  "budget" int8 ,
  "num_offline" int4 default '0' ,
  "limit_offline" int4 ,
  "num_online" int4 default '0' ,
  "limit_online" int4 ,
  "state" int2 ,
  "audit_cause" varchar(255) ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_plan_fee
-- ----------------------------
drop table if exists "train_plan_fee";
create table "train_plan_fee" (
  "id" int8 not null ,
  "plan_id" int8 ,
  "meal_fee" int8 default '0' ,
  "hotel_fee" int8 default '0' ,
  "school_fee" int8 default '0' ,
  "teacher_fee" int8 default '0' ,
  "train_fee" int8 default '0' ,
  "traffic_fee" int8 default '0' ,
  "souvenir_fee" int8 default '0' ,
  "education_fee" int8 default '0' ,
  "training_fee" int8 default '0' ,
  "inner_training_fee" int8 default '0' ,
  "site_fee" int8 default '0' ,
  "tax_fee" int8 default '0' ,
  "datum_fee" int8 default '0' ,
  "budget" int8 default '0' 
  
);

-- ----------------------------
-- table structure for train_questionnaire
-- ----------------------------
drop table if exists "train_questionnaire";
create table "train_questionnaire" (
  "id" int8 not null ,
  "name" varchar(30) ,
  "describes" varchar(200) ,
  "scope" int2 ,
  "qr_code" json ,
  "major_id" int8 ,
  "major_code" varchar(20) ,
  "major_name" varchar(30) ,
  "state" int2 ,
  "survey_start_time" timestamp(6) ,
  "survey_end_time" timestamp(6) ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_questionnaire_answer
-- ----------------------------
drop table if exists "train_questionnaire_answer";
create table "train_questionnaire_answer" (
  "id" int8 not null ,
  "user_id" int8 ,
  "questionnaire_id" int8 ,
  "questionnaire_bank_id" int8 ,
  "questionnaire_option_id" int8 ,
  "content" varchar(1000) 
  
);

-- ----------------------------
-- table structure for train_questionnaire_bank
-- ----------------------------
drop table if exists "train_questionnaire_bank";
create table "train_questionnaire_bank" (
  "id" int8 not null ,
  "questionnaire_id" int8 ,
  "type" int2 ,
  "content" varchar(200) 
 
);

-- ----------------------------
-- table structure for train_questionnaire_dept
-- ----------------------------
drop table if exists "train_questionnaire_dept";
create table "train_questionnaire_dept" (
  "id" int8 not null ,
  "questionnaire_id" int8 ,
  "dept_id" int8 
  
);

-- ----------------------------
-- table structure for train_questionnaire_option
-- ----------------------------
drop table if exists "train_questionnaire_option";
create table "train_questionnaire_option" (
  "id" int8 not null ,
  "questionnaire_bank_id" int8 ,
  "is_other" int2 ,
  "content" varchar(2000) ,
  "seq" int2 
  
);

-- ----------------------------
-- table structure for train_questionnaire_user
-- ----------------------------
drop table if exists "train_questionnaire_user";
create table "train_questionnaire_user" (
  "id" int8 not null ,
  "user_id" int8 ,
  "questionnaire_id" int8 ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_question_bank
-- ----------------------------
drop table if exists "train_question_bank";
create table "train_question_bank" (
  "id" int8 not null ,
  "major_id" int8 ,
  "major_code" varchar(20) ,
  "major_name" varchar(30) ,
  "type" int2 ,
  "content" varchar(200) ,
  "answer" varchar(200) ,
  "analysis" varchar(200) ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_question_option
-- ----------------------------
drop table if exists "train_question_option";
create table "train_question_option" (
  "id" int8 not null ,
  "question_bank_id" int8 ,
  "content" varchar(100) ,
  "seq" int2 
  
);

-- ----------------------------
-- table structure for train_recommend
-- ----------------------------
drop table if exists "train_recommend";
create table "train_recommend" (
  "id" int8 not null ,
  "type" int2 ,
  "prop" varchar(20) ,
  "val" int4 
  
);

-- ----------------------------
-- table structure for train_rule
-- ----------------------------
drop table if exists "train_rule";
create table "train_rule" (
  "id" int8 not null,
  "seat" int2 ,
  "type" int2 ,
  "prop" varchar(30) ,
  "val" varchar(30) 
  
);

-- ----------------------------
-- table structure for train_setting
-- ----------------------------
drop table if exists "train_setting";
create table "train_setting" (
  "id" int8 not null ,
  "seat" int2 ,
  "prop" varchar(30) ,
  "val" varchar(200) 
  
);

-- ----------------------------
-- table structure for train_sign_in_info
-- ----------------------------
drop table if exists "train_sign_in_info";
create table "train_sign_in_info" (
  "id" int8 not null ,
  "created_by" int8 ,
  "created_time" timestamp(6) ,
  "updated_by" int8 ,
  "updated_time" timestamp(6) ,
  "class_id" int8 ,
  "plan_name" varchar(128) ,
  "site_id" int8 ,
  "start_time" timestamp(6) ,
  "end_time" timestamp(6) ,
  "schedule_id" int8 ,
  "is_sign" varchar(5) ,
  "integral_type" varchar(5) default '1' ,
  "site_name" varchar(500) ,
  "face_uuid" varchar(50) ,
  "face_shedule" varchar(255) ,
  "face_group" varchar(255) 
  
);

-- ----------------------------
-- table structure for train_sign_in_management
-- ----------------------------
drop table if exists "train_sign_in_management";
create table "train_sign_in_management" (
  "id" int8 not null  ,
  "created_by" int8 ,
  "created_time" timestamp(6) ,
  "updated_by" int8 ,
  "updated_time" timestamp(6) ,
  "info_id" int8 ,
  "user_id" int8 ,
  "user_name" varchar(128) ,
  "sign_time" timestamp(6) ,
  "state" int2 ,
  "class_id" int8 ,
  "is_countersign" varchar(10) 
  
);

-- ----------------------------
-- table structure for train_sim_list
-- ----------------------------
drop table if exists "train_sim_list";
create table "train_sim_list" (
  "id" varchar(50) not null,
  "link_id" int8 ,
  "type" int4 ,
  "msg" varchar(1024) ,
  "user_id" int8 
  
);

-- ----------------------------
-- table structure for train_sim_push_only
-- ----------------------------
drop table if exists "train_sim_push_only";
create table "train_sim_push_only" (
  "id" int8 not null,
  "link_id" int8 ,
  "type" int4 
  
);

-- ----------------------------
-- table structure for train_space
-- ----------------------------
drop table if exists "train_space";
create table "train_space" (
  "id" int8 not null ,
  "code" varchar(20) ,
  "room_number" varchar(20) ,
  "room_type" varchar(20) ,
  "room_area" int8 ,
  "capacity_number" int4 ,
  "address" varchar(50) ,
  "person_liable" varchar(20) ,
  "mobile" varchar(20) ,
  "annex" json ,
  "remark" varchar(255) default '' ,
  "state" int2 default '1' ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) ,
  "org_id" int8 ,
  "org_name" varchar(255) ,
  "uuid" varchar(50) ,
  "seq" int4 
  
);

-- ----------------------------
-- table structure for train_supplier_notice
-- ----------------------------
drop table if exists "train_supplier_notice";
create table "train_supplier_notice" (
  "id" int8 not null,
  "title" varchar(255) ,
  "start_time" timestamp(6) ,
  "end_time" timestamp(6) ,
  "supplier_list" text ,
  "note" text ,
  "file" json ,
  "img" json ,
  "create_by" int8 ,
  "create_name" varchar(50) ,
  "create_time" timestamp(6) ,
  "state" int4 ,
  "org_code" varchar(255) ,
  "org_id" int8 ,
  "supplier_opt" text 
  
);

-- ----------------------------
-- table structure for train_supplier_notice_result
-- ----------------------------
drop table if exists "train_supplier_notice_result";
create table "train_supplier_notice_result" (
  "id" int8 not null,
  "pid" int8 ,
  "supplier_id" int8 ,
  "plan_file" json 
  
);

-- ----------------------------
-- table structure for train_supplier_trade
-- ----------------------------
drop table if exists "train_supplier_trade";
create table "train_supplier_trade" (
  "id" int8 not null ,
  "supplier_id" int8 ,
  "dict_id" int8 
  
  
);

-- ----------------------------
-- table structure for train_test_paper
-- ----------------------------
drop table if exists "train_test_paper";
create table "train_test_paper" (
  "id" int8 not null ,
  "name" varchar(30) ,
  "type" int2 ,
  "major_id" int8 ,
  "major_code" varchar(20) ,
  "major_name" varchar(30) ,
  "description" varchar(200) ,
  "checkbox_num" int4 default '0' ,
  "checkbox_score" int4 default '0' ,
  "radio_num" int4 default '0' ,
  "radio_score" int4 default '0' ,
  "true_false_num" int4 default '0' ,
  "true_false_score" int4 default '0' ,
  "fill_bank_num" int4 default '0' ,
  "fill_bank_score" int4 default '0' ,
  "total_score" int4 default '0' ,
  "pass_score" int4 default '0' ,
  "state" int2 ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_test_paper_question
-- ----------------------------
drop table if exists "train_test_paper_question";
create table "train_test_paper_question" (
  "id" int8 not null ,
  "test_paper_id" int8 ,
  "major_id" int8 ,
  "major_code" varchar(20) ,
  "major_name" varchar(30) ,
  "type" int2 ,
  "content" varchar(200) ,
  "answer" varchar(200) ,
  "analysis" varchar(200) ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_test_paper_question_option
-- ----------------------------
drop table if exists "train_test_paper_question_option";
create table "train_test_paper_question_option" (
  "id" int8 not null ,
  "test_paper_question_id" int8 ,
  "content" varchar(100) ,
  "seq" int2 
  
);

-- ----------------------------
-- table structure for train_text
-- ----------------------------
drop table if exists "train_text";
create table "train_text" (
  "id" int8 not null ,
  "title" varchar(200) ,
  "content" text ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) ,
  "images" json ,
  "state" int2 ,
  "lowst" int4 
  
);

-- ----------------------------
-- table structure for train_text_read
-- ----------------------------
drop table if exists "train_text_read";
create table "train_text_read" (
  "id" int8 not null ,
  "text_id" int8 ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) ,
  "title" varchar(50) ,
  "type" int2 ,
  "state" int2 
  
);

-- ----------------------------
-- table structure for train_tool
-- ----------------------------
drop table if exists "train_tool";
create table "train_tool" (
  "id" int8 ,
  "name" varchar(32) ,
  "url" varchar(32) ,
  "is_system" int2 ,
  "type" int2 
);

-- ----------------------------
-- table structure for train_toolkit
-- ----------------------------
drop table if exists "train_toolkit";
create table "train_toolkit" (
  "id" int8 ,
  "train_class_id" int8 ,
  "master_id" int8 ,
  "remind_time" timestamp(6) ,
  "remind_content" varchar(1000) ,
  "remind_minutes" int4 ,
  "remind_times" int4 ,
  "remind_already_times" int4 default '0' ,
  "state" int2 ,
  "del_flag" int2 ,
  "created_by" int8 ,
  "created_name" varchar(32) ,
  "created_time" timestamp(6) ,
  "updated_by" int8 ,
  "updated_time" timestamp(6) 
);

-- ----------------------------
-- table structure for train_toolkit_quartz
-- ----------------------------
drop table if exists "train_toolkit_quartz";
create table "train_toolkit_quartz" (
  "id" int8 ,
  "client_id" varchar(100) ,
  "send_id" int8 ,
  "send_time" timestamp(6) ,
  "send_times" int4 ,
  "now_times" int4 ,
  "start_or_end" int2 ,
  "state" int2 ,
  "send_result" int2 ,
  "remark" varchar(1000) ,
  "toolkit_id" int8 
);

-- ----------------------------
-- table structure for train_trainer
-- ----------------------------
drop table if exists "train_trainer";
create table "train_trainer" (
  "id" int8 not null ,
  "type" int2 ,
  "trainer_code" varchar(20) ,
  "trainer_name" varchar(20) ,
  "card_no" varchar(18) ,
  "org_id" int8 ,
  "org_code" varchar(20) ,
  "org_use_code" varchar(20) ,
  "org_name" varchar(20) ,
  "dept_id" int8 ,
  "dept_code" varchar(20) ,
  "dept_name" varchar(20) ,
  "post" varchar(100) ,
  "mobile" varchar(20) ,
  "major_id" int8 ,
  "major_code" varchar(20) ,
  "major_name" varchar(20) ,
  "lv" varchar(50) ,
  "sex" int2 ,
  "img_url" json ,
  "good_courses" varchar(255) ,
  "remark" varchar(3000) ,
  "state" int2 default '1' ,
  "is_top" int2 ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) ,
  "notes" varchar(50) 
  
  
);

-- ----------------------------
-- table structure for train_trainer_exam
-- ----------------------------
drop table if exists "train_trainer_exam";
create table "train_trainer_exam" (
  "id" int8 not null ,
  "trainer_id" int8 ,
  "exam_score" int8 ,
  "exam_result" int2 ,
  "state" int2 ,
  "create_time" timestamp(6) 
);

-- ----------------------------
-- table structure for train_trainer_exam_option
-- ----------------------------
drop table if exists "train_trainer_exam_option";
create table "train_trainer_exam_option" (
  "id" int8 not null ,
  "exam_id" int8 ,
  "score_items" varchar(20) ,
  "number" int8 ,
  "score" int8 ,
  "all_score" int8 
  
);

-- ----------------------------
-- table structure for train_trainer_points_record
-- ----------------------------
drop table if exists "train_trainer_points_record";
create table "train_trainer_points_record" (
  "id" int8 not null ,
  "type" int2 ,
  "link_id" int8 ,
  "num" int8 ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_trainer_promotion
-- ----------------------------
drop table if exists "train_trainer_promotion";
create table "train_trainer_promotion" (
  "id" int8 not null ,
  "trainer_id" int8 ,
  "trainer_name" varchar(20) ,
  "apply_lv" varchar(50) ,
  "apply_date" timestamp(6) ,
  "state" int2 ,
  "audit_cause" varchar(255) ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_trainer_recommend
-- ----------------------------
drop table if exists "train_trainer_recommend";
create table "train_trainer_recommend" (
  "id" int8 not null ,
  "trainer_id" int8 ,
  "weight" int4 
  
);

-- ----------------------------
-- table structure for train_user
-- ----------------------------
drop table if exists "train_user";
create table "train_user" (
  "id" int8 not null ,
  "code" varchar(20) ,
  "mix_pd" varchar(50) default '' ,
  "open_id" varchar(50) ,
  "union_id" varchar(50) ,
  "client_id" varchar(50) ,
  "device_token" varchar(100) ,
  "org_id" int8 ,
  "org_code" varchar(20) ,
  "org_use_code" varchar(20) ,
  "org_name" varchar(20) ,
  "dept_id" int8 ,
  "dept_code" varchar(20) ,
  "dept_name" varchar(20) ,
  "name" varchar(10) ,
  "img" json ,
  "mobile" varchar(20) ,
  "card_no" varchar(20) ,
  "email" varchar(100) ,
  "type" int2 ,
  "settle_in_time" timestamp(6) ,
  "total_points" int4 ,
  "points" int4 ,
  "lock_times" int2 default '0' ,
  "lock_time" timestamp(6) ,
  "is_upd_pwd" int2 ,
  "is_perfect_info" int2 default '0' ,
  "perfect_info_time" timestamp(6) ,
  "is_bind_wechat" int2 ,
  "state" int2 ,
  "face_url" varchar(255) ,
  "is_head_teacher" varchar(5) ,
  "uuid" varchar(255) 
  
  
);

-- ----------------------------
-- table structure for train_user_attention
-- ----------------------------
drop table if exists "train_user_attention";
create table "train_user_attention" (
  "id" int8 not null ,
  "attention_user_id" int8 ,
  "attention_user_name" varchar(30) ,
  "attention_trainer_id" int8 ,
  "is_read" int2 ,
  "create_user_id" int8 ,
  "create_trainer_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_user_class
-- ----------------------------
drop table if exists "train_user_class";
create table "train_user_class" (
  "id" int8 not null ,
  "code" varchar(20) ,
  "name" varchar(30) ,
  "address" varchar(255) ,
  "lat" varchar(20) ,
  "lng" varchar(20) ,
  "major_id" int8 ,
  "major_code" varchar(20) ,
  "major_name" varchar(30) ,
  "undertake_dept" varchar(20) ,
  "scope" varchar(255) ,
  "train_start_time" timestamp(6) ,
  "train_end_time" timestamp(6) ,
  "class_fee" int8 ,
  "content" varchar(1024) ,
  "remark" varchar(200) ,
  "sign_up_type" int2 ,
  "state" int2 ,
  "user_path" json ,
  "secret_key" varchar(255),
  "audit_cause" varchar(255) ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "creat_user_tel" varchar(11) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_user_class_appendix
-- ----------------------------
drop table if exists "train_user_class_appendix";
create table "train_user_class_appendix" (
  "id" int8 not null ,
  "class_id" int8 ,
  "images" json ,
  "video" json ,
  "file" json ,
  "type" int2 ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_user_class_apply
-- ----------------------------
drop table if exists "train_user_class_apply";
create table "train_user_class_apply" (
  "id" int8 not null ,
  "user_id" int8 ,
  "name" varchar(20) ,
  "code" varchar(20) ,
  "mobile" varchar(11) ,
  "org_id" int8 ,
  "org_code" varchar(20) ,
  "org_use_code" varchar(20) ,
  "org_name" varchar(20) ,
  "dept_id" int8 ,
  "dept_code" varchar(20) ,
  "dept_name" varchar(20) ,
  "apply_org_id" int8 ,
  "apply_org_code" varchar(20) ,
  "apply_org_use_code" varchar(20) ,
  "apply_org_name" varchar(20) ,
  "apply_dept_id" int8 ,
  "apply_dept_code" varchar(20) ,
  "apply_dept_name" varchar(20) ,
  "type" int2 ,
  "state" int2 ,
  "audit_cause" varchar(255) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_user_class_dept
-- ----------------------------
drop table if exists "train_user_class_dept";
create table "train_user_class_dept" (
  "id" int8 not null ,
  "class_id" int8 ,
  "org_id" int8 ,
  "org_code" varchar(20) ,
  "org_name" varchar(20) ,
  "org_use_code" varchar(20) ,
  "dept_id" int8 ,
  "dept_code" varchar(20) ,
  "dept_name" varchar(20) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_user_class_fee
-- ----------------------------
drop table if exists "train_user_class_fee";
create table "train_user_class_fee" (
  "id" int8 not null ,
  "class_id" int8 ,
  "fee" int8 ,
  "fee_name" varchar(50) ,
  "fee_type" int2 ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_user_class_mul_addr
-- ----------------------------
drop table if exists "train_user_class_mul_addr";
create table "train_user_class_mul_addr" (
  "id" int8 not null,
  "train_user_class_id" int8 ,
  "address" varchar(255) ,
  "lat" varchar(20) ,
  "lng" varchar(20) ,
  "sort_no" int4 
  
);

-- ----------------------------
-- table structure for train_user_class_schedule
-- ----------------------------
drop table if exists "train_user_class_schedule";
create table "train_user_class_schedule" (
  "id" int8 not null ,
  "class_id" int8 ,
  "name" varchar(255) ,
  "type" varchar(20) ,
  "space" varchar(255) ,
  "start_time" timestamp(6) ,
  "end_time" timestamp(6) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_user_class_trainer
-- ----------------------------
drop table if exists "train_user_class_trainer";
create table "train_user_class_trainer" (
  "id" int8 not null ,
  "schedule_id" int8 ,
  "class_id" int8 ,
  "trainer_id" int8 ,
  "trainer_name" varchar(20) 
  
);

-- ----------------------------
-- table structure for train_user_class_user
-- ----------------------------
drop table if exists "train_user_class_user";
create table "train_user_class_user" (
  "id" int8 not null ,
  "class_id" int8 ,
  "user_id" int8 ,
  "check_in_time" timestamp(6) ,
  "check_in_address" varchar(50) ,
  "state" int2 ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_user_exercises
-- ----------------------------
drop table if exists "train_user_exercises";
create table "train_user_exercises" (
  "id" int8 not null ,
  "exercises_id" int8 ,
  "user_id" int8 ,
  "error_num" int4 ,
  "total_num" int4 ,
  "state" int2 ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_user_exercises_answer
-- ----------------------------
drop table if exists "train_user_exercises_answer";
create table "train_user_exercises_answer" (
  "id" int8 not null ,
  "user_id" int8 ,
  "user_name" varchar(20) ,
  "test_paper_id" int8 ,
  "test_paper_name" varchar(30) ,
  "user_exercises_id" int8 ,
  "test_paper_question_id" int8 ,
  "content" varchar(200) ,
  "answer" varchar(200) ,
  "result" int2 
  
);

-- ----------------------------
-- table structure for train_user_major
-- ----------------------------
drop table if exists "train_user_major";
create table "train_user_major" (
  "id" int8 not null ,
  "user_id" int8 ,
  "major_id" int8 ,
  "major_code" varchar(20) ,
  "major_name" varchar(30) 
  
);

-- ----------------------------
-- table structure for train_user_notice
-- ----------------------------
drop table if exists "train_user_notice";
create table "train_user_notice" (
  "id" int8 not null ,
  "type" int2 ,
  "link_id" int8 ,
  "title" varchar(50) ,
  "content" text ,
  "is_read" int2 ,
  "create_user_id" int8 ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_user_other_training
-- ----------------------------
drop table if exists "train_user_other_training";
create table "train_user_other_training" (
  "id" int8 not null ,
  "code" varchar(20) ,
  "name" varchar(30) ,
  "address" varchar(255) ,
  "content" varchar(1024) ,
  "train_start_time" timestamp(6) ,
  "train_end_time" timestamp(6) ,
  "org_id" int8 ,
  "org_code" varchar(20) ,
  "org_use_code" varchar(20) ,
  "org_name" varchar(20) ,
  "dept_id" int8 ,
  "dept_code" varchar(20) ,
  "dept_name" varchar(20) ,
  "remark" varchar(200) ,
  "state" int2 ,
  "audit_cause" varchar(255) ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "creat_user_tel" varchar(11) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_user_points_record
-- ----------------------------
drop table if exists "train_user_points_record";
create table "train_user_points_record" (
  "id" int8 not null ,
  "user_id" int8 ,
  "type" int2 ,
  "points" int8 ,
  "remark" varchar(200) ,
  "link_type" int2 ,
  "link_id" int8 ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_user_share
-- ----------------------------
drop table if exists "train_user_share";
create table "train_user_share" (
  "id" int8 not null ,
  "user_id" int8 ,
  "type" int2 ,
  "link_type" int4 ,
  "link_id" int8 ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_user_tag
-- ----------------------------
drop table if exists "train_user_tag";
create table "train_user_tag" (
  "id" int8 not null ,
  "user_id" int8 ,
  "tag_id" int8 ,
  "tag" varchar(20) 
  
  
);

-- ----------------------------
-- table structure for train_user_teaching
-- ----------------------------
drop table if exists "train_user_teaching";
create table "train_user_teaching" (
  "id" int8 not null ,
  "code" varchar(20) ,
  "name" varchar(30) ,
  "content" varchar(1024) ,
  "train_start_time" timestamp(6) ,
  "train_end_time" timestamp(6) ,
  "org_id" int8 ,
  "org_code" varchar(20) ,
  "org_use_code" varchar(20) ,
  "org_name" varchar(20) ,
  "dept_id" int8 ,
  "dept_code" varchar(20) ,
  "dept_name" varchar(20) ,
  "images" json ,
  "video" json ,
  "remark" varchar(200) ,
  "state" int2 ,
  "audit_cause" varchar(255) ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "creat_user_tel" varchar(11) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_user_teaching_scope
-- ----------------------------
drop table if exists "train_user_teaching_scope";
create table "train_user_teaching_scope" (
  "id" int8 not null ,
  "teaching_id" int8 ,
  "org_id" int8 ,
  "org_code" varchar(20) ,
  "org_use_code" varchar(20) ,
  "org_name" varchar(30) ,
  "dept_id" int8 ,
  "dept_code" varchar(20) ,
  "dept_name" varchar(30) 
  
);

-- ----------------------------
-- table structure for train_user_training
-- ----------------------------
drop table if exists "train_user_training";
create table "train_user_training" (
  "id" int8 not null ,
  "code" varchar(20) ,
  "name" varchar(30) ,
  "address" varchar(255) ,
  "content" varchar(1024) ,
  "train_start_time" timestamp(6) ,
  "train_end_time" timestamp(6) ,
  "org_id" int8 ,
  "org_code" varchar(20) ,
  "org_use_code" varchar(20) ,
  "org_name" varchar(20) ,
  "dept_id" int8 ,
  "dept_code" varchar(20) ,
  "dept_name" varchar(20) ,
  "remark" varchar(200) ,
  "state" int2 ,
  "audit_cause" varchar(255) ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "creat_user_tel" varchar(11) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_user_wrong
-- ----------------------------
drop table if exists "train_user_wrong";
create table "train_user_wrong" (
  "id" int8 not null ,
  "type" int2 ,
  "link_id" int8 ,
  "user_id" int8 ,
  "test_paper_id" int8 ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_user_wrong_question
-- ----------------------------
drop table if exists "train_user_wrong_question";
create table "train_user_wrong_question" (
  "id" int8 not null ,
  "wrong_id" int8 ,
  "test_paper_id" int8 ,
  "test_paper_question_id" int8 
  
);

-- ----------------------------
-- table structure for train_user_year_points
-- ----------------------------
drop table if exists "train_user_year_points";
create table "train_user_year_points" (
  "id" int8 not null ,
  "user_id" int8 ,
  "year" int4 ,
  "rank" int4 ,
  "points" int8 ,
  "rank_num" int4 
  
);

-- ----------------------------
-- table structure for train_version
-- ----------------------------
drop table if exists "train_version";
create table "train_version" (
  "id" int8 not null ,
  "app_version" varchar(10) ,
  "is_force_upd" int2 ,
  "android_package_path" json ,
  "ios_app_url" varchar(100) ,
  "state" int2 ,
  "create_time" timestamp(6) ,
  "type" int4 
  
);

-- ----------------------------
-- table structure for train_version_content
-- ----------------------------
drop table if exists "train_version_content";
create table "train_version_content" (
  "id" int8 not null ,
  "version_id" int8 ,
  "content" varchar(100) ,
  "seq" int2 
  
);

-- ----------------------------
-- table structure for train_video_courseware
-- ----------------------------
drop table if exists "train_video_courseware";
create table "train_video_courseware" (
  "id" int8 not null ,
  "trainer_id" int8 ,
  "trainer_name" varchar(10) ,
  "major_id" int8 ,
  "major_code" varchar(20) ,
  "major_name" varchar(30) ,
  "title" varchar(255) ,
  "tag" varchar(100) ,
  "video" json ,
  "video_len" int4 ,
  "remark" varchar(20) ,
  "state" int2 ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_video_courseware_play
-- ----------------------------
drop table if exists "train_video_courseware_play";
create table "train_video_courseware_play" (
  "id" int8 not null ,
  "user_id" int8 ,
  "type" int2 ,
  "link_id" int8 ,
  "video_courseware_id" int8 ,
  "learn_len" int4 ,
  "state" int2 ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_video_online
-- ----------------------------
drop table if exists "train_video_online";
create table "train_video_online" (
  "id" int8 not null ,
  "type" int2 ,
  "title" varchar(50) ,
  "tag" varchar(100) ,
  "cover" json ,
  "video" json ,
  "video_len" int4 ,
  "width" int4 ,
  "height" int4 ,
  "state" int2 ,
  "audit_cause" varchar(255) ,
  "create_user_id" int8 ,
  "create_trainer_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_time" timestamp(6) ,
  "is_top" int2 ,
  "is_tb" int2 ,
  "is_year" int2 
  
);

-- ----------------------------
-- table structure for train_video_online_appraise
-- ----------------------------
drop table if exists "train_video_online_appraise";
create table "train_video_online_appraise" (
  "id" int8 not null ,
  "video_id" int8 ,
  "video_user_id" int8 ,
  "pid" int8 ,
  "lv" int2 ,
  "content" varchar(200) ,
  "reply_id" int8 ,
  "reply_user_id" int8 ,
  "reply_user_name" varchar(20) ,
  "is_author" int2 ,
  "create_user_id" int8 ,
  "create_trainer_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_video_online_appraise_like
-- ----------------------------
drop table if exists "train_video_online_appraise_like";
create table "train_video_online_appraise_like" (
  "id" int8 not null ,
  "video_id" int8 ,
  "appraise_id" int8 ,
  "appraise_user_id" int8 ,
  "is_read" int2 ,
  "create_user_id" int8 ,
  "create_trainer_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_video_online_appraise_notice
-- ----------------------------
drop table if exists "train_video_online_appraise_notice";
create table "train_video_online_appraise_notice" (
  "id" int8 not null ,
  "appraise_id" int8 ,
  "user_id" int8 ,
  "type" int2 ,
  "is_read" int2 
  
);

-- ----------------------------
-- table structure for train_video_online_judges
-- ----------------------------
drop table if exists "train_video_online_judges";
create table "train_video_online_judges" (
  "id" int8 not null,
  "user_id" int8 ,
  "create_time" timestamp(6) ,
  "create_by" int8 
  
);

-- ----------------------------
-- table structure for train_video_online_like
-- ----------------------------
drop table if exists "train_video_online_like";
create table "train_video_online_like" (
  "id" int8 not null ,
  "video_id" int8 ,
  "video_user_id" int8 ,
  "is_read" int2 ,
  "create_user_id" int8 ,
  "create_trainer_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_video_online_play
-- ----------------------------
drop table if exists "train_video_online_play";
create table "train_video_online_play" (
  "id" int8 not null ,
  "video_id" int8 ,
  "user_id" int8 ,
  "times" int4 ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_video_online_score_item
-- ----------------------------
drop table if exists "train_video_online_score_item";
create table "train_video_online_score_item" (
  "id" int8 not null,
  "name" varchar(50) ,
  "score" int4 ,
  "state" varchar(255) 
  
);

-- ----------------------------
-- table structure for train_video_online_tag
-- ----------------------------
drop table if exists "train_video_online_tag";
create table "train_video_online_tag" (
  "id" int8 not null ,
  "video_id" int8 ,
  "tag_id" int8 ,
  "state" int2 
  
);

-- ----------------------------
-- table structure for train_week_class
-- ----------------------------
drop table if exists "train_week_class";
create table "train_week_class" (
  "id" int8 not null ,
  "code" varchar(20) ,
  "name" varchar(30) ,
  "org_id" int8 ,
  "org_code" varchar(20) ,
  "org_use_code" varchar(20) ,
  "org_name" varchar(20) ,
  "dept_id" int8 ,
  "dept_code" varchar(20) ,
  "num" int4 ,
  "money_all" int8 ,
  "dept_name" varchar(20) ,
  "major_id" int8 ,
  "major_code" varchar(20) ,
  "major_name" varchar(30) ,
  "train_start_time" timestamp(6) ,
  "train_end_time" timestamp(6) ,
  "head_teacher_id" int8 ,
  "head_teacher_name" varchar(30) ,
  "content" varchar(1024) ,
  "cover" json ,
  "appraise_time" timestamp(6) ,
  "state" int2 ,
  "create_user_id" int8 ,
  "create_user_name" varchar(20) ,
  "create_dept_code" varchar(20) ,
  "create_time" timestamp(6) ,
  "settlement_type" int2 ,
  "settlement_org_id" int8 ,
  "settlement_org_code" varchar(20) ,
  "settlement_org_use_code" varchar(20) ,
  "settlement_org_name" varchar(30) ,
  "budget" int8 
  
);

-- ----------------------------
-- table structure for train_week_class_appendix
-- ----------------------------
drop table if exists "train_week_class_appendix";
create table "train_week_class_appendix" (
  "id" int8 not null ,
  "class_id" int8 ,
  "images" json ,
  "video" json ,
  "appendix" json ,
  "remark" varchar(200) 
  
);

-- ----------------------------
-- table structure for train_week_class_appraise
-- ----------------------------
drop table if exists "train_week_class_appraise";
create table "train_week_class_appraise" (
  "id" int8 not null ,
  "class_id" int8 ,
  "site" int2 ,
  "name" varchar(50) default '' ,
  "seq" int2 default '-1' ,
  "type" int2 
  
);

-- ----------------------------
-- table structure for train_week_class_appraise_option
-- ----------------------------
drop table if exists "train_week_class_appraise_option";
create table "train_week_class_appraise_option" (
  "id" int8 not null ,
  "appraise_id" int8 ,
  "name" varchar(50) default '' ,
  "seq" int2 default '-1' 
  
);

-- ----------------------------
-- table structure for train_week_class_schedule
-- ----------------------------
drop table if exists "train_week_class_schedule";
create table "train_week_class_schedule" (
  "id" int8 not null ,
  "class_id" int8 ,
  "name" varchar(255) ,
  "trainer_id" int8 ,
  "trainer_name" varchar(20) ,
  "start_time" timestamp(6) ,
  "end_time" timestamp(6) ,
  "create_time" timestamp(6) 
  
);

-- ----------------------------
-- table structure for train_week_class_trainer_appraise
-- ----------------------------
drop table if exists "train_week_class_trainer_appraise";
create table "train_week_class_trainer_appraise" (
  "id" int8 not null ,
  "class_id" int8 ,
  "trainer_id" int8 ,
  "trainer_name" varchar(20) ,
  "user_id" int8 ,
  "user_name" varchar(20) ,
  "appraise_id" int8 ,
  "name" varchar(50) default '' ,
  "score" int4 ,
  "create_time" timestamp(6) 
);

-- ----------------------------
-- table structure for train_week_class_trainer_appraise_option
-- ----------------------------
drop table if exists "train_week_class_trainer_appraise_option";
create table "train_week_class_trainer_appraise_option" (
  "id" int8 not null ,
  "trainer_appraise_id" int8 ,
  "appraise_option_id" int8 ,
  "name" varchar(50) default '' ,
  "score" int4 default '-1' ,
  "content" varchar(200) 
);

-- ----------------------------
-- table structure for train_week_class_training_appraise
-- ----------------------------
drop table if exists "train_week_class_training_appraise";
create table "train_week_class_training_appraise" (
  "id" int8 not null ,
  "class_id" int8 ,
  "user_id" int8 ,
  "user_name" varchar(20) ,
  "appraise_id" int8 ,
  "name" varchar(50) default '' ,
  "score" int4 ,
  "create_time" timestamp(6) 
);

-- ----------------------------
-- table structure for train_week_class_training_appraise_option
-- ----------------------------
drop table if exists "train_week_class_training_appraise_option";
create table "train_week_class_training_appraise_option" (
  "id" int8 not null ,
  "training_appraise_id" int8 ,
  "appraise_option_id" int8 ,
  "name" varchar(50) default '' ,
  "score" int4 default '-1' ,
  "content" varchar(200) 
);

-- ----------------------------
-- table structure for trian_supplier
-- ----------------------------
drop table if exists "trian_supplier";
create table "trian_supplier" (
  "id" int8 ,
  "name" varchar(50) ,
  "trade" text ,
  "lv" varchar(32) ,
  "contact_person" varchar(32) ,
  "contact_tel" varchar(32) ,
  "state" varchar(32) ,
  "is_del" varchar(32) ,
  "created_by" int8 ,
  "created_time" timestamp(6) ,
  "updated_by" int8 ,
  "updated_time" timestamp(6) ,
  "note" varchar(1024) ,
  "mix_pd" varchar(50) default '' ,
  "org_code" varchar(255) ,
  "org_id" int8 
);

/** 视图，后续处理
-- ----------------------------
-- view structure for temp
-- ----------------------------
drop view if exists "temp";
create algorithm=undefined definer="root"@"%" sql security definer view "temp" as select "train_class"."id" as "id","train_class"."plan_id" as "plan_id","train_class"."type" as "type","train_class"."code" as "code","train_class"."name" as "name","train_class"."org_id" as "org_id","train_class"."org_code" as "org_code","train_class"."org_use_code" as "org_use_code","train_class"."org_name" as "org_name","train_class"."dept_id" as "dept_id","train_class"."dept_code" as "dept_code","train_class"."dept_name" as "dept_name","train_class"."major_id" as "major_id","train_class"."major_code" as "major_code","train_class"."major_name" as "major_name","train_class"."train_start_time" as "train_start_time","train_class"."train_end_time" as "train_end_time","train_class"."contact_person" as "contact_person","train_class"."contact_tel" as "contact_tel","train_class"."site" as "site","train_class"."lat" as "lat","train_class"."lng" as "lng","train_class"."num" as "num","train_class"."sign_up_type" as "sign_up_type","train_class"."secret_

-- ----------------------------
-- function structure for latlon
-- ----------------------------
drop function if exists "latlon";
delimiter ;;
create definer="root"@"%" function "latlon"(lat varchar(20), lng varchar(20), lat1 varchar(20), lng1 varchar(20)) returns varchar(100) charset utf8mb4
begin
	declare
		str varchar ( 100 ) default '';
	
	set @lat = lat;
	
	set @lng = lng;
	
	set @lat1 = lat1;
	
	set @lng1 = lng1;
	
	set str = round(
		6378.138 * 2 * asin(
			sqrt(
				pow( sin( ( @lat * pi() / 180 - @lat1 * pi() / 180 ) / 2 ), 2 ) + cos( @lat * pi() / 180 ) * cos( @lat1 * pi() / 180 ) * pow( sin( ( @lng * pi() / 180 - @lng1 * pi() / 180 ) / 2 ), 2 ) 
			) 
		) * 1000 
	);
	return str;

end
;;
delimiter ;
*/
